/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/Bold/CombDiacritMarks.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral-bold'],
  {
    0x300: [713,-528,0,-369,-131],     // COMBINING GRAVE ACCENT
    0x301: [713,-528,0,-369,-131],     // COMBINING ACUTE ACCENT
    0x302: [704,-528,0,-418,-81],      // COMBINING CIRCUMFLEX ACCENT
    0x303: [674,-547,0,-432,-67],      // COMBINING TILDE
    0x304: [637,-565,0,-415,-85],      // COMBINING MACRON
    0x305: [838,-788,0,-500,0],        // COMBINING OVERLINE
    0x306: [691,-528,0,-401,-98],      // COMBINING BREVE
    0x307: [666,-537,0,-314,-185],     // COMBINING DOT ABOVE
    0x308: [666,-537,0,-419,-80],      // COMBINING DIAERESIS
    0x309: [751,-491,0,-336,-131],     // COMBINING HOOK ABOVE
    0x30A: [750,-537,0,-356,-143],     // COMBINING RING ABOVE
    0x30B: [713,-528,0,-469,-31],      // COMBINING DOUBLE ACUTE ACCENT
    0x30C: [704,-528,0,-418,-81],      // COMBINING CARON
    0x30D: [730,-530,0,-277,-211],     // COMBINING VERTICAL LINE ABOVE
    0x30E: [730,-530,0,-358,-142],     // COMBINING DOUBLE VERTICAL LINE ABOVE
    0x30F: [713,-528,0,-469,-31],      // COMBINING DOUBLE GRAVE ACCENT
    0x310: [828,-528,0,-401,-98],      // COMBINING CANDRABINDU
    0x311: [691,-528,0,-401,-98],      // COMBINING INVERTED BREVE
    0x312: [867,-532,0,-342,-158],     // COMBINING TURNED COMMA ABOVE
    0x313: [867,-532,0,-342,-158],     // COMBINING COMMA ABOVE
    0x314: [867,-532,0,-342,-158],     // COMBINING REVERSED COMMA ABOVE
    0x315: [867,-532,0,-116,68],       // COMBINING COMMA ABOVE RIGHT
    0x316: [-70,255,0,-369,-131],      // COMBINING GRAVE ACCENT BELOW
    0x317: [-70,255,0,-369,-131],      // COMBINING ACUTE ACCENT BELOW
    0x318: [-58,288,0,-425,-223],      // COMBINING LEFT TACK BELOW
    0x319: [-58,288,0,-288,-86],       // COMBINING RIGHT TACK BELOW
    0x31A: [752,-531,0,-410,-93],      // COMBINING LEFT ANGLE ABOVE
    0x31B: [505,-352,0,-62,66],        // COMBINING HORN
    0x31C: [-33,313,0,-375,-190],      // COMBINING LEFT HALF RING BELOW
    0x31D: [-70,272,0,-365,-135],      // COMBINING UP TACK BELOW
    0x31E: [-70,272,0,-365,-135],      // COMBINING DOWN TACK BELOW
    0x31F: [-70,287,0,-356,-144],      // COMBINING PLUS SIGN BELOW
    0x320: [-140,206,0,-356,-144],     // COMBINING MINUS SIGN BELOW
    0x321: [75,287,0,-241,-22],        // COMBINING PALATALIZED HOOK BELOW
    0x322: [75,287,0,-94,125],         // COMBINING RETROFLEX HOOK BELOW
    0x323: [-109,238,0,-314,-185],     // COMBINING DOT BELOW
    0x324: [-109,238,0,-419,-80],      // COMBINING DIAERESIS BELOW
    0x325: [-66,279,0,-356,-143],      // COMBINING RING BELOW
    0x326: [-88,423,0,-342,-158],      // COMBINING COMMA BELOW
    0x327: [0,218,0,-363,-137],        // COMBINING CEDILLA
    0x328: [44,173,0,-364,-135],       // COMBINING OGONEK
    0x329: [-107,239,0,-277,-222],     // COMBINING VERTICAL LINE BELOW
    0x32A: [-86,260,0,-425,-93],       // COMBINING BRIDGE BELOW
    0x32B: [-104,242,0,-420,-95],      // COMBINING INVERTED DOUBLE ARCH BELOW
    0x32C: [-83,259,0,-418,-81],       // COMBINING CARON BELOW
    0x32D: [-85,261,0,-418,-81],       // COMBINING CIRCUMFLEX ACCENT BELOW
    0x32E: [-78,241,0,-401,-98],       // COMBINING BREVE BELOW
    0x32F: [-78,241,0,-401,-98],       // COMBINING INVERTED BREVE BELOW
    0x330: [-108,235,0,-432,-67],      // COMBINING TILDE BELOW
    0x331: [-137,209,0,-415,-85],      // COMBINING MACRON BELOW
    0x332: [-137,187,0,-500,0],        // COMBINING LOW LINE
    0x333: [-137,287,0,-500,0],        // COMBINING DOUBLE LOW LINE
    0x334: [316,-189,0,-432,-67],      // COMBINING TILDE OVERLAY
    0x335: [282,-224,0,-414,-108],     // COMBINING SHORT STROKE OVERLAY
    0x336: [282,-224,0,-510,-10],      // COMBINING LONG STROKE OVERLAY
    0x337: [580,74,0,-410,-43],        // COMBINING SHORT SOLIDUS OVERLAY
    0x338: [662,156,0,-410,31],        // COMBINING LONG SOLIDUS OVERLAY
    0x339: [-33,313,0,-375,-190],      // COMBINING RIGHT HALF RING BELOW
    0x33A: [-71,245,0,-425,-93],       // COMBINING INVERTED BRIDGE BELOW
    0x33B: [-70,264,0,-353,-167],      // COMBINING SQUARE BELOW
    0x33C: [-89,234,0,-410,-109],      // COMBINING SEAGULL BELOW
    0x33D: [719,-520,0,-350,-150],     // COMBINING X ABOVE
    0x33E: [881,-516,0,-314,-187],     // COMBINING VERTICAL TILDE
    0x33F: [938,-788,0,-500,0],        // COMBINING DOUBLE OVERLINE
    0x346: [717,-544,0,-410,-107],     // COMBINING BRIDGE ABOVE
    0x347: [-137,322,0,0,330],         // ??
    0x34C: [837,-547,0,-446,-81],      // COMBINING ALMOST EQUAL TO ABOVE
    0x359: [-66,368,0,-359,-89],       // COMBINING ASTERISK BELOW
    0x35C: [-79,242,0,-401,300],       // COMBINING DOUBLE BREVE BELOW
    0x360: [674,-529,0,-432,398],      // COMBINING DOUBLE TILDE
    0x361: [691,-534,0,-403,265],      // COMBINING DOUBLE INVERTED BREVE
    0x362: [-54,293,0,-432,377]        // COMBINING DOUBLE RIGHTWARDS ARROW BELOW
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/Bold/CombDiacritMarks.js");
