/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/Bold/GreekAndCoptic.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral-bold'],
  {
    0x37E: [472,180,333,82,266],       // GREEK QUESTION MARK
    0x384: [692,-528,300,118,263],     // GREEK TONOS
    0x385: [692,-528,390,-2,392],      // GREEK DIALYTIKA TONOS
    0x386: [700,0,722,9,689],          // GREEK CAPITAL LETTER ALPHA WITH TONOS
    0x387: [472,-303,333,82,251],      // GREEK ANO TELEIA
    0x388: [700,0,800,10,791],         // GREEK CAPITAL LETTER EPSILON WITH TONOS
    0x389: [700,0,920,10,904],         // GREEK CAPITAL LETTER ETA WITH TONOS
    0x38A: [700,0,530,10,516],         // GREEK CAPITAL LETTER IOTA WITH TONOS
    0x38C: [700,19,778,10,743],        // GREEK CAPITAL LETTER OMICRON WITH TONOS
    0x38E: [700,0,860,10,846],         // GREEK CAPITAL LETTER UPSILON WITH TONOS
    0x38F: [700,0,780,10,761],         // GREEK CAPITAL LETTER OMEGA WITH TONOS
    0x390: [692,14,390,-2,392],        // GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
    0x391: [690,0,722,9,689],          // GREEK CAPITAL LETTER ALPHA
    0x392: [676,0,667,16,619],         // GREEK CAPITAL LETTER BETA
    0x395: [676,0,667,16,641],         // GREEK CAPITAL LETTER EPSILON
    0x396: [676,0,667,28,634],         // GREEK CAPITAL LETTER ZETA
    0x397: [676,0,778,21,759],         // GREEK CAPITAL LETTER ETA
    0x399: [676,0,389,20,370],         // GREEK CAPITAL LETTER IOTA
    0x39A: [676,0,778,30,769],         // GREEK CAPITAL LETTER KAPPA
    0x39C: [676,0,944,14,921],         // GREEK CAPITAL LETTER MU
    0x39D: [676,18,722,16,701],        // GREEK CAPITAL LETTER NU
    0x39F: [691,19,778,35,743],        // GREEK CAPITAL LETTER OMICRON
    0x3A1: [676,0,611,16,600],         // GREEK CAPITAL LETTER RHO
    0x3A4: [676,0,667,31,636],         // GREEK CAPITAL LETTER TAU
    0x3A7: [676,0,722,16,699],         // GREEK CAPITAL LETTER CHI
    0x3AA: [915,0,389,20,370],         // GREEK CAPITAL LETTER IOTA WITH DIALYTIKA
    0x3AB: [915,0,703,7,693],          // GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA
    0x3AC: [692,14,644,25,618],        // GREEK SMALL LETTER ALPHA WITH TONOS
    0x3AD: [692,14,444,28,429],        // GREEK SMALL LETTER EPSILON WITH TONOS
    0x3AE: [692,205,585,12,545],       // GREEK SMALL LETTER ETA WITH TONOS
    0x3AF: [692,14,326,15,304],        // GREEK SMALL LETTER IOTA WITH TONOS
    0x3B0: [692,14,576,12,551],        // GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
    0x3B1: [473,14,644,25,618],        // GREEK SMALL LETTER ALPHA
    0x3B2: [692,205,556,45,524],       // GREEK SMALL LETTER BETA
    0x3B3: [473,205,518,12,501],       // GREEK SMALL LETTER GAMMA
    0x3B4: [692,14,502,26,477],        // GREEK SMALL LETTER DELTA
    0x3B5: [473,14,444,28,429],        // GREEK SMALL LETTER EPSILON
    0x3B6: [692,205,459,23,437],       // GREEK SMALL LETTER ZETA
    0x3B7: [473,205,585,12,545],       // GREEK SMALL LETTER ETA
    0x3B8: [692,14,501,25,476],        // GREEK SMALL LETTER THETA
    0x3B9: [461,14,326,15,304],        // GREEK SMALL LETTER IOTA
    0x3BA: [473,0,581,21,559],         // GREEK SMALL LETTER KAPPA
    0x3BB: [692,18,547,19,527],        // GREEK SMALL LETTER LAMDA
    0x3BC: [461,205,610,45,588],       // GREEK SMALL LETTER MU
    0x3BD: [473,14,518,15,495],        // GREEK SMALL LETTER NU
    0x3BE: [692,205,468,23,439],       // GREEK SMALL LETTER XI
    0x3BF: [473,14,500,25,476],        // GREEK SMALL LETTER OMICRON
    0x3C0: [461,18,631,20,609],        // GREEK SMALL LETTER PI
    0x3C1: [473,205,547,45,515],       // GREEK SMALL LETTER RHO
    0x3C2: [473,203,464,23,444],       // GREEK SMALL LETTER FINAL SIGMA
    0x3C3: [461,14,568,25,529],        // GREEK SMALL LETTER SIGMA
    0x3C4: [461,14,492,18,457],        // GREEK SMALL LETTER TAU
    0x3C5: [473,14,576,12,551],        // GREEK SMALL LETTER UPSILON
    0x3C6: [473,205,653,24,629],       // GREEK SMALL LETTER PHI
    0x3C7: [473,205,612,21,586],       // GREEK SMALL LETTER CHI
    0x3C8: [473,205,763,12,751],       // GREEK SMALL LETTER PSI
    0x3C9: [473,14,733,26,708],        // GREEK SMALL LETTER OMEGA
    0x3CA: [666,14,335,-2,337],        // GREEK SMALL LETTER IOTA WITH DIALYTIKA
    0x3CB: [666,14,576,12,551],        // GREEK SMALL LETTER UPSILON WITH DIALYTIKA
    0x3CC: [692,14,500,25,476],        // GREEK SMALL LETTER OMICRON WITH TONOS
    0x3CD: [692,14,576,12,551],        // GREEK SMALL LETTER UPSILON WITH TONOS
    0x3CE: [692,14,733,26,708],        // GREEK SMALL LETTER OMEGA WITH TONOS
    0x3D0: [697,10,500,54,462],        // GREEK BETA SYMBOL
    0x3D1: [692,14,647,12,620],        // GREEK THETA SYMBOL
    0x3D2: [692,0,743,7,733],          // GREEK UPSILON WITH HOOK SYMBOL
    0x3D5: [676,205,653,24,629],       // GREEK PHI SYMBOL
    0x3D6: [461,14,864,9,851],         // GREEK PI SYMBOL
    0x3D8: [691,205,778,35,743],       // GREEK LETTER ARCHAIC KOPPA
    0x3D9: [473,205,500,25,476],       // GREEK SMALL LETTER ARCHAIC KOPPA
    0x3DA: [691,211,680,45,645],       // GREEK LETTER STIGMA
    0x3DB: [503,203,504,23,483],       // GREEK SMALL LETTER STIGMA
    0x3DC: [676,0,620,16,593],         // GREEK LETTER DIGAMMA
    0x3DD: [461,205,491,45,458],       // GREEK SMALL LETTER DIGAMMA
    0x3DE: [797,14,757,35,715],        // GREEK LETTER KOPPA
    0x3DF: [692,0,485,29,453],         // GREEK SMALL LETTER KOPPA
    0x3E0: [692,205,839,33,801],       // GREEK LETTER SAMPI
    0x3E1: [639,205,611,29,583],       // GREEK SMALL LETTER SAMPI
    0x3F0: [473,19,563,12,546],        // GREEK KAPPA SYMBOL
    0x3F1: [473,205,511,25,486],       // GREEK RHO SYMBOL
    0x3F4: [691,19,778,35,743],        // GREEK CAPITAL THETA SYMBOL
    0x3F5: [473,14,444,25,430],        // GREEK LUNATE EPSILON SYMBOL
    0x3F6: [473,14,444,14,419]         // GREEK REVERSED LUNATE EPSILON SYMBOL
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/Bold/GreekAndCoptic.js");
