/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/Bold/GreekBold.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral-bold'],
  {
    0x1D6A8: [690,0,735,9,689],        // MATHEMATICAL BOLD CAPITAL ALPHA
    0x1D6A9: [676,0,667,16,619],       // MATHEMATICAL BOLD CAPITAL BETA
    0x1D6AA: [676,0,620,16,593],       // MATHEMATICAL BOLD CAPITAL GAMMA
    0x1D6AB: [690,0,691,16,656],       // MATHEMATICAL BOLD CAPITAL DELTA
    0x1D6AC: [676,0,679,16,641],       // MATHEMATICAL BOLD CAPITAL EPSILON
    0x1D6AD: [676,0,693,28,634],       // MATHEMATICAL BOLD CAPITAL ZETA
    0x1D6AE: [676,0,810,21,759],       // MATHEMATICAL BOLD CAPITAL ETA
    0x1D6AF: [692,18,778,35,743],      // MATHEMATICAL BOLD CAPITAL THETA
    0x1D6B0: [676,0,421,20,370],       // MATHEMATICAL BOLD CAPITAL IOTA
    0x1D6B1: [676,0,820,30,769],       // MATHEMATICAL BOLD CAPITAL KAPPA
    0x1D6B2: [690,0,707,9,674],        // MATHEMATICAL BOLD CAPITAL LAMDA
    0x1D6B3: [676,0,972,14,921],       // MATHEMATICAL BOLD CAPITAL MU
    0x1D6B4: [676,18,722,16,701],      // MATHEMATICAL BOLD CAPITAL NU
    0x1D6B5: [676,0,623,28,595],       // MATHEMATICAL BOLD CAPITAL XI
    0x1D6B6: [691,19,778,35,743],      // MATHEMATICAL BOLD CAPITAL OMICRON
    0x1D6B7: [676,0,780,21,759],       // MATHEMATICAL BOLD CAPITAL PI
    0x1D6B8: [676,0,611,16,600],       // MATHEMATICAL BOLD CAPITAL RHO
    0x1D6B9: [692,18,778,35,743],      // MATHEMATICAL BOLD CAPITAL THETA SYMBOL
    0x1D6BA: [676,0,665,14,627],       // MATHEMATICAL BOLD CAPITAL SIGMA
    0x1D6BB: [676,0,667,31,636],       // MATHEMATICAL BOLD CAPITAL TAU
    0x1D6BC: [692,0,722,3,699],        // MATHEMATICAL BOLD CAPITAL UPSILON
    0x1D6BD: [676,0,836,18,818],       // MATHEMATICAL BOLD CAPITAL PHI
    0x1D6BE: [676,0,747,16,699],       // MATHEMATICAL BOLD CAPITAL CHI
    0x1D6BF: [692,0,800,3,785],        // MATHEMATICAL BOLD CAPITAL PSI
    0x1D6C0: [692,0,778,35,723],       // MATHEMATICAL BOLD CAPITAL OMEGA
    0x1D6C1: [676,14,691,16,656],      // MATHEMATICAL BOLD NABLA
    0x1D6C2: [473,14,644,25,618],      // MATHEMATICAL BOLD SMALL ALPHA
    0x1D6C3: [692,205,556,45,524],     // MATHEMATICAL BOLD SMALL BETA
    0x1D6C4: [473,205,518,12,501],     // MATHEMATICAL BOLD SMALL GAMMA
    0x1D6C5: [692,14,502,26,477],      // MATHEMATICAL BOLD SMALL DELTA
    0x1D6C6: [473,14,444,28,429],      // MATHEMATICAL BOLD SMALL EPSILON
    0x1D6C7: [692,205,459,23,437],     // MATHEMATICAL BOLD SMALL ZETA
    0x1D6C8: [473,205,580,12,545],     // MATHEMATICAL BOLD SMALL ETA
    0x1D6C9: [692,14,501,25,476],      // MATHEMATICAL BOLD SMALL THETA
    0x1D6CA: [461,14,326,15,304],      // MATHEMATICAL BOLD SMALL IOTA
    0x1D6CB: [473,0,581,21,559],       // MATHEMATICAL BOLD SMALL KAPPA
    0x1D6CC: [692,18,546,19,527],      // MATHEMATICAL BOLD SMALL LAMDA
    0x1D6CD: [461,205,610,45,588],     // MATHEMATICAL BOLD SMALL MU
    0x1D6CE: [473,14,518,15,495],      // MATHEMATICAL BOLD SMALL NU
    0x1D6CF: [692,205,465,23,439],     // MATHEMATICAL BOLD SMALL XI
    0x1D6D0: [473,14,500,25,476],      // MATHEMATICAL BOLD SMALL OMICRON
    0x1D6D1: [461,18,631,20,609],      // MATHEMATICAL BOLD SMALL PI
    0x1D6D2: [473,205,547,45,515],     // MATHEMATICAL BOLD SMALL RHO
    0x1D6D3: [473,203,464,23,444],     // MATHEMATICAL BOLD SMALL FINAL SIGMA
    0x1D6D4: [461,14,568,25,529],      // MATHEMATICAL BOLD SMALL SIGMA
    0x1D6D5: [461,14,492,18,457],      // MATHEMATICAL BOLD SMALL TAU
    0x1D6D6: [473,14,576,12,551],      // MATHEMATICAL BOLD SMALL UPSILON
    0x1D6D7: [473,205,653,24,629],     // MATHEMATICAL BOLD SMALL PHI
    0x1D6D8: [473,205,612,21,586],     // MATHEMATICAL BOLD SMALL CHI
    0x1D6D9: [473,205,763,12,751],     // MATHEMATICAL BOLD SMALL PSI
    0x1D6DA: [473,14,734,26,708],      // MATHEMATICAL BOLD SMALL OMEGA
    0x1D6DB: [707,14,515,25,491],      // MATHEMATICAL BOLD PARTIAL DIFFERENTIAL
    0x1D6DC: [473,14,444,25,430],      // MATHEMATICAL BOLD EPSILON SYMBOL
    0x1D6DD: [692,14,647,12,620],      // MATHEMATICAL BOLD THETA SYMBOL
    0x1D6DE: [473,19,563,12,546],      // MATHEMATICAL BOLD KAPPA SYMBOL
    0x1D6DF: [676,205,653,24,629],     // MATHEMATICAL BOLD PHI SYMBOL
    0x1D6E0: [473,205,511,25,486],     // MATHEMATICAL BOLD RHO SYMBOL
    0x1D6E1: [461,14,864,9,851]        // MATHEMATICAL BOLD PI SYMBOL
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/Bold/GreekBold.js");
