/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/Bold/Main.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral-bold'] = {
  directory: 'General/Bold',
  family: 'STIXGeneral',
  weight: 'bold',
  Ranges: [
    [0xA0,0xFF,"Latin1Supplement"],
    [0x100,0x17F,"LatinExtendedA"],
    [0x180,0x24F,"LatinExtendedB"],
    [0x250,0x2AF,"IPAExtensions"],
    [0x2B0,0x2FF,"SpacingModLetters"],
    [0x300,0x36F,"CombDiacritMarks"],
    [0x370,0x3FF,"GreekAndCoptic"],
    [0x400,0x4FF,"Cyrillic"],
    [0x1D00,0x1DBF,"PhoneticExtensions"],
    [0x1E00,0x1EFF,"LatinExtendedAdditional"],
    [0x2000,0x206F,"GeneralPunctuation"],
    [0x2070,0x209F,"SuperAndSubscripts"],
    [0x20A0,0x20CF,"CurrencySymbols"],
    [0x20D0,0x20FF,"CombDiactForSymbols"],
    [0x2100,0x214F,"LetterlikeSymbols"],
    [0x2150,0x218F,"NumberForms"],
    [0x2190,0x21FF,"Arrows"],
    [0x2200,0x22FF,"MathOperators"],
    [0x2300,0x23FF,"MiscTechnical"],
    [0x2400,0x243F,"ControlPictures"],
    [0x2460,0x24FF,"EnclosedAlphanum"],
    [0x2500,0x257F,"BoxDrawing"],
    [0x25A0,0x25FF,"GeometricShapes"],
    [0x2600,0x26FF,"MiscSymbols"],
    [0x27C0,0x27EF,"MiscMathSymbolsA"],
    [0x2980,0x29FF,"MiscMathSymbolsB"],
    [0x2A00,0x2AFF,"SuppMathOperators"],
    [0xA720,0xA7FF,"LatinExtendedD"],
    [0xFB00,0xFB4F,"AlphaPresentForms"],
    [0x1D400,0x1D433,"MathBold"],
    [0x1D538,0x1D56B,"BBBold"],
    [0x1D56C,0x1D59F,"BoldFraktur"],
    [0x1D5D4,0x1D607,"MathSSBold"],
    [0x1D6A8,0x1D6E1,"GreekBold"],
    [0x1D756,0x1D78F,"GreekSSBold"],
    [0x1D7CE,0x1D7D7,"MathBold"],
    [0x1D7EC,0x1D7F6,"MathSSBold"]
  ],
  0x20: [0,0,250,0,0],               // SPACE
  0x21: [691,13,333,81,251],         // EXCLAMATION MARK
  0x22: [691,-404,555,83,472],       // QUOTATION MARK
  0x23: [700,0,500,5,495],           // NUMBER SIGN
  0x24: [750,99,500,29,472],         // DOLLAR SIGN
  0x25: [706,29,749,61,688],         // PERCENT SIGN
  0x26: [691,16,833,62,789],         // AMPERSAND
  0x27: [691,-404,278,75,204],       // APOSTROPHE
  0x28: [694,168,333,46,306],        // LEFT PARENTHESIS
  0x29: [694,168,333,27,287],        // RIGHT PARENTHESIS
  0x2A: [691,-255,500,56,448],       // ASTERISK
  0x2B: [563,57,750,65,685],         // PLUS SIGN
  0x2C: [155,180,250,39,223],        // COMMA
  0x2D: [287,-171,333,44,287],       // HYPHEN-MINUS
  0x2E: [156,13,250,41,210],         // FULL STOP
  0x2F: [691,19,278,-24,302],        // SOLIDUS
  0x30: [688,13,500,24,476],         // DIGIT ZERO
  0x31: [688,0,500,65,441],          // DIGIT ONE
  0x32: [688,0,500,17,478],          // DIGIT TWO
  0x33: [688,14,500,16,468],         // DIGIT THREE
  0x34: [688,0,500,19,476],          // DIGIT FOUR
  0x35: [676,8,500,22,470],          // DIGIT FIVE
  0x36: [688,13,500,28,475],         // DIGIT SIX
  0x37: [676,0,500,17,477],          // DIGIT SEVEN
  0x38: [688,13,500,28,472],         // DIGIT EIGHT
  0x39: [688,13,500,26,473],         // DIGIT NINE
  0x3A: [472,13,333,82,251],         // COLON
  0x3B: [472,180,333,82,266],        // SEMICOLON
  0x3C: [534,24,750,80,670],         // LESS-THAN SIGN
  0x3D: [399,-107,750,68,682],       // EQUALS SIGN
  0x3E: [534,24,750,80,670],         // GREATER-THAN SIGN
  0x3F: [689,13,500,57,445],         // QUESTION MARK
  0x40: [691,19,930,108,822],        // COMMERCIAL AT
  0x41: [690,0,722,9,689],           // LATIN CAPITAL LETTER A
  0x42: [676,0,667,16,619],          // LATIN CAPITAL LETTER B
  0x43: [691,19,722,49,687],         // LATIN CAPITAL LETTER C
  0x44: [676,0,722,14,690],          // LATIN CAPITAL LETTER D
  0x45: [676,0,667,16,641],          // LATIN CAPITAL LETTER E
  0x46: [676,0,611,16,583],          // LATIN CAPITAL LETTER F
  0x47: [691,19,778,37,755],         // LATIN CAPITAL LETTER G
  0x48: [676,0,778,21,759],          // LATIN CAPITAL LETTER H
  0x49: [676,0,389,20,370],          // LATIN CAPITAL LETTER I
  0x4A: [676,96,500,3,478],          // LATIN CAPITAL LETTER J
  0x4B: [676,0,778,30,769],          // LATIN CAPITAL LETTER K
  0x4C: [677,0,667,19,638],          // LATIN CAPITAL LETTER L
  0x4D: [676,0,944,14,921],          // LATIN CAPITAL LETTER M
  0x4E: [676,18,722,16,701],         // LATIN CAPITAL LETTER N
  0x4F: [691,19,778,35,743],         // LATIN CAPITAL LETTER O
  0x50: [676,0,611,16,600],          // LATIN CAPITAL LETTER P
  0x51: [691,176,778,35,743],        // LATIN CAPITAL LETTER Q
  0x52: [676,0,722,26,716],          // LATIN CAPITAL LETTER R
  0x53: [692,19,556,35,513],         // LATIN CAPITAL LETTER S
  0x54: [676,0,667,31,636],          // LATIN CAPITAL LETTER T
  0x55: [676,19,722,16,701],         // LATIN CAPITAL LETTER U
  0x56: [676,18,722,16,701],         // LATIN CAPITAL LETTER V
  0x57: [676,15,1000,19,981],        // LATIN CAPITAL LETTER W
  0x58: [676,0,722,16,699],          // LATIN CAPITAL LETTER X
  0x59: [676,0,722,15,699],          // LATIN CAPITAL LETTER Y
  0x5A: [676,0,667,28,634],          // LATIN CAPITAL LETTER Z
  0x5B: [678,149,333,67,301],        // LEFT SQUARE BRACKET
  0x5C: [691,19,278,-25,303],        // REVERSE SOLIDUS
  0x5D: [678,149,333,32,266],        // RIGHT SQUARE BRACKET
  0x5E: [676,-311,581,73,509],       // CIRCUMFLEX ACCENT
  0x5F: [-75,125,500,0,500],         // LOW LINE
  0x60: [713,-528,333,8,246],        // GRAVE ACCENT
  0x61: [473,14,500,25,488],         // LATIN SMALL LETTER A
  0x62: [676,14,556,17,521],         // LATIN SMALL LETTER B
  0x63: [473,14,444,25,430],         // LATIN SMALL LETTER C
  0x64: [676,14,556,25,534],         // LATIN SMALL LETTER D
  0x65: [473,14,444,25,427],         // LATIN SMALL LETTER E
  0x66: [691,0,333,14,389],          // LATIN SMALL LETTER F
  0x67: [473,206,500,28,483],        // LATIN SMALL LETTER G
  0x68: [676,0,556,15,534],          // LATIN SMALL LETTER H
  0x69: [691,0,278,15,256],          // LATIN SMALL LETTER I
  0x6A: [691,203,333,-57,263],       // LATIN SMALL LETTER J
  0x6B: [676,0,556,22,543],          // LATIN SMALL LETTER K
  0x6C: [676,0,278,15,256],          // LATIN SMALL LETTER L
  0x6D: [473,0,833,15,814],          // LATIN SMALL LETTER M
  0x6E: [473,0,556,21,539],          // LATIN SMALL LETTER N
  0x6F: [473,14,500,25,476],         // LATIN SMALL LETTER O
  0x70: [473,205,556,19,524],        // LATIN SMALL LETTER P
  0x71: [473,205,556,34,536],        // LATIN SMALL LETTER Q
  0x72: [473,0,444,28,434],          // LATIN SMALL LETTER R
  0x73: [473,14,389,25,361],         // LATIN SMALL LETTER S
  0x74: [630,12,333,19,332],         // LATIN SMALL LETTER T
  0x75: [461,14,556,16,538],         // LATIN SMALL LETTER U
  0x76: [461,14,500,21,485],         // LATIN SMALL LETTER V
  0x77: [461,14,722,23,707],         // LATIN SMALL LETTER W
  0x78: [461,0,500,12,484],          // LATIN SMALL LETTER X
  0x79: [461,205,500,16,482],        // LATIN SMALL LETTER Y
  0x7A: [461,0,444,21,420],          // LATIN SMALL LETTER Z
  0x7B: [698,175,394,22,340],        // LEFT CURLY BRACKET
  0x7C: [691,19,220,66,154],         // VERTICAL LINE
  0x7D: [698,175,394,54,372],        // RIGHT CURLY BRACKET
  0x7E: [333,-173,520,29,491],       // TILDE
  0x393: [676,0,620,16,593],         // GREEK CAPITAL LETTER GAMMA
  0x394: [690,0,722,33,673],         // GREEK CAPITAL LETTER DELTA
  0x398: [692,18,778,35,743],        // GREEK CAPITAL LETTER THETA
  0x39B: [690,0,707,9,674],          // GREEK CAPITAL LETTER LAMDA
  0x39E: [676,0,647,40,607],         // GREEK CAPITAL LETTER XI
  0x3A0: [676,0,778,21,759],         // GREEK CAPITAL LETTER PI
  0x3A3: [676,0,671,28,641],         // GREEK CAPITAL LETTER SIGMA
  0x3A5: [692,0,703,7,693],          // GREEK CAPITAL LETTER UPSILON
  0x3A6: [676,0,836,18,818],         // GREEK CAPITAL LETTER PHI
  0x3A8: [692,0,808,15,797],         // GREEK CAPITAL LETTER PSI
  0x3A9: [692,0,768,28,740]          // GREEK CAPITAL LETTER OMEGA
};

MathJax.OutputJax["HTML-CSS"].initFont("STIXGeneral-bold");

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/Bold/Main.js");
