/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/BoldItalic/Cyrillic.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral-bold-italic'],
  {
    0x401: [905,0,667,-35,645],        // CYRILLIC CAPITAL LETTER IO
    0x402: [669,205,789,80,737],       // CYRILLIC CAPITAL LETTER DJE
    0x403: [947,0,604,-32,658],        // CYRILLIC CAPITAL LETTER GJE
    0x404: [685,18,657,44,689],        // CYRILLIC CAPITAL LETTER UKRAINIAN IE
    0x405: [685,18,556,-22,502],       // CYRILLIC CAPITAL LETTER DZE
    0x406: [669,0,389,-32,406],        // CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
    0x407: [905,0,389,-35,477],        // CYRILLIC CAPITAL LETTER YI
    0x408: [669,99,500,-8,562],        // CYRILLIC CAPITAL LETTER JE
    0x409: [669,18,954,-59,896],       // CYRILLIC CAPITAL LETTER LJE
    0x40A: [669,0,982,-32,924],        // CYRILLIC CAPITAL LETTER NJE
    0x40B: [669,0,830,71,757],         // CYRILLIC CAPITAL LETTER TSHE
    0x40C: [947,0,678,-35,697],        // CYRILLIC CAPITAL LETTER KJE
    0x40E: [951,18,666,99,712],        // CYRILLIC CAPITAL LETTER SHORT U
    0x40F: [669,184,778,-33,791],      // CYRILLIC CAPITAL LETTER DZHE
    0x410: [683,0,667,-57,604],        // CYRILLIC CAPITAL LETTER A
    0x411: [669,0,635,-18,629],        // CYRILLIC CAPITAL LETTER BE
    0x412: [669,0,654,-25,624],        // CYRILLIC CAPITAL LETTER VE
    0x413: [669,0,604,-32,658],        // CYRILLIC CAPITAL LETTER GHE
    0x414: [669,184,696,-115,718],     // CYRILLIC CAPITAL LETTER DE
    0x415: [669,0,667,-35,645],        // CYRILLIC CAPITAL LETTER IE
    0x416: [678,0,927,-63,969],        // CYRILLIC CAPITAL LETTER ZHE
    0x417: [686,18,561,-10,549],       // CYRILLIC CAPITAL LETTER ZE
    0x418: [669,0,768,-33,790],        // CYRILLIC CAPITAL LETTER I
    0x419: [948,0,768,-33,790],        // CYRILLIC CAPITAL LETTER SHORT I
    0x41A: [678,0,678,-35,697],        // CYRILLIC CAPITAL LETTER KA
    0x41B: [669,18,742,-59,764],       // CYRILLIC CAPITAL LETTER EL
    0x41C: [669,12,890,-34,912],       // CYRILLIC CAPITAL LETTER EM
    0x41D: [669,0,769,-32,791],        // CYRILLIC CAPITAL LETTER EN
    0x41E: [685,18,722,53,717],        // CYRILLIC CAPITAL LETTER O
    0x41F: [669,0,767,-35,789],        // CYRILLIC CAPITAL LETTER PE
    0x420: [669,0,590,-30,611],        // CYRILLIC CAPITAL LETTER ER
    0x421: [685,18,667,65,710],        // CYRILLIC CAPITAL LETTER ES
    0x422: [669,0,611,80,681],         // CYRILLIC CAPITAL LETTER TE
    0x423: [669,18,666,99,712],        // CYRILLIC CAPITAL LETTER U
    0x424: [669,0,833,72,816],         // CYRILLIC CAPITAL LETTER EF
    0x425: [669,0,607,-61,657],        // CYRILLIC CAPITAL LETTER HA
    0x426: [669,184,770,-32,792],      // CYRILLIC CAPITAL LETTER TSE
    0x427: [669,0,758,120,780],        // CYRILLIC CAPITAL LETTER CHE
    0x428: [669,0,960,-33,982],        // CYRILLIC CAPITAL LETTER SHA
    0x429: [669,184,960,-33,982],      // CYRILLIC CAPITAL LETTER SHCHA
    0x42A: [669,0,780,107,722],        // CYRILLIC CAPITAL LETTER HARD SIGN
    0x42B: [669,0,985,-19,1007],       // CYRILLIC CAPITAL LETTER YERU
    0x42C: [669,0,636,-19,578],        // CYRILLIC CAPITAL LETTER SOFT SIGN
    0x42D: [685,18,671,4,648],         // CYRILLIC CAPITAL LETTER E
    0x42E: [685,18,905,-38,871],       // CYRILLIC CAPITAL LETTER YU
    0x42F: [669,0,710,-65,732],        // CYRILLIC CAPITAL LETTER YA
    0x430: [462,14,527,20,497],        // CYRILLIC SMALL LETTER A
    0x431: [685,13,499,32,570],        // CYRILLIC SMALL LETTER BE
    0x432: [462,13,482,25,458],        // CYRILLIC SMALL LETTER VE
    0x433: [461,14,368,-8,371],        // CYRILLIC SMALL LETTER GHE
    0x434: [695,13,496,22,466],        // CYRILLIC SMALL LETTER DE
    0x435: [462,13,431,22,415],        // CYRILLIC SMALL LETTER IE
    0x436: [462,13,898,-4,890],        // CYRILLIC SMALL LETTER ZHE
    0x437: [462,13,400,-11,378],       // CYRILLIC SMALL LETTER ZE
    0x438: [462,9,542,34,512],         // CYRILLIC SMALL LETTER I
    0x439: [697,9,542,34,514],         // CYRILLIC SMALL LETTER SHORT I
    0x43A: [461,8,522,12,527],         // CYRILLIC SMALL LETTER KA
    0x43B: [462,11,507,-48,477],       // CYRILLIC SMALL LETTER EL
    0x43C: [449,11,667,-48,637],       // CYRILLIC SMALL LETTER EM
    0x43D: [462,9,543,13,513],         // CYRILLIC SMALL LETTER EN
    0x43E: [462,13,500,24,468],        // CYRILLIC SMALL LETTER O
    0x43F: [462,9,543,13,513],         // CYRILLIC SMALL LETTER PE
    0x440: [462,205,497,-96,470],      // CYRILLIC SMALL LETTER ER
    0x441: [462,13,435,26,423],        // CYRILLIC SMALL LETTER ES
    0x442: [462,9,777,10,747],         // CYRILLIC SMALL LETTER TE
    0x443: [462,205,447,-94,422],      // CYRILLIC SMALL LETTER U
    0x444: [699,205,750,28,717],       // CYRILLIC SMALL LETTER EF
    0x445: [462,13,456,-38,511],       // CYRILLIC SMALL LETTER HA
    0x446: [462,179,542,34,512],       // CYRILLIC SMALL LETTER TSE
    0x447: [462,9,531,48,501],         // CYRILLIC SMALL LETTER CHE
    0x448: [462,9,800,36,770],         // CYRILLIC SMALL LETTER SHA
    0x449: [462,179,800,36,770],       // CYRILLIC SMALL LETTER SHCHA
    0x44A: [462,13,594,29,556],        // CYRILLIC SMALL LETTER HARD SIGN
    0x44B: [462,13,754,43,724],        // CYRILLIC SMALL LETTER YERU
    0x44C: [462,13,491,43,453],        // CYRILLIC SMALL LETTER SOFT SIGN
    0x44D: [462,13,444,-12,405],       // CYRILLIC SMALL LETTER E
    0x44E: [462,13,740,12,710],        // CYRILLIC SMALL LETTER YU
    0x44F: [449,11,538,2,508],         // CYRILLIC SMALL LETTER YA
    0x451: [655,13,434,22,487],        // CYRILLIC SMALL LETTER IO
    0x452: [699,205,523,12,490],       // CYRILLIC SMALL LETTER DJE
    0x453: [697,14,368,-8,456],        // CYRILLIC SMALL LETTER GJE
    0x454: [462,13,415,22,450],        // CYRILLIC SMALL LETTER UKRAINIAN IE
    0x455: [462,13,389,0,352],         // CYRILLIC SMALL LETTER DZE
    0x456: [684,9,278,20,280],         // CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
    0x457: [655,9,278,22,382],         // CYRILLIC SMALL LETTER YI
    0x458: [685,207,278,-161,307],     // CYRILLIC SMALL LETTER JE
    0x459: [462,13,694,-48,656],       // CYRILLIC SMALL LETTER LJE
    0x45A: [462,13,733,12,695],        // CYRILLIC SMALL LETTER NJE
    0x45B: [699,9,556,12,515],         // CYRILLIC SMALL LETTER TSHE
    0x45C: [697,8,522,12,527],         // CYRILLIC SMALL LETTER KJE
    0x45E: [697,205,447,-94,436],      // CYRILLIC SMALL LETTER SHORT U
    0x45F: [462,179,538,30,508],       // CYRILLIC SMALL LETTER DZHE
    0x462: [669,0,761,62,707],         // CYRILLIC CAPITAL LETTER YAT
    0x463: [699,13,569,20,531],        // CYRILLIC SMALL LETTER YAT
    0x46A: [669,0,978,-22,918],        // CYRILLIC CAPITAL LETTER BIG YUS
    0x46B: [449,13,844,-4,825],        // CYRILLIC SMALL LETTER BIG YUS
    0x472: [685,18,722,53,717],        // CYRILLIC CAPITAL LETTER FITA
    0x473: [462,13,500,24,468],        // CYRILLIC SMALL LETTER FITA
    0x474: [678,18,667,66,750],        // CYRILLIC CAPITAL LETTER IZHITSA
    0x475: [462,13,487,15,534],        // CYRILLIC SMALL LETTER IZHITSA
    0x490: [834,0,539,-32,641],        // CYRILLIC CAPITAL LETTER GHE WITH UPTURN
    0x491: [590,9,360,31,457]          // CYRILLIC SMALL LETTER GHE WITH UPTURN
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/BoldItalic/Cyrillic.js");
