/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/BoldItalic/GreekBoldItalic.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral-bold-italic'],
  {
    0x1D71C: [685,0,759,39,724],       // MATHEMATICAL BOLD ITALIC CAPITAL ALPHA
    0x1D71D: [669,0,726,42,715],       // MATHEMATICAL BOLD ITALIC CAPITAL BETA
    0x1D71E: [669,0,634,42,749],       // MATHEMATICAL BOLD ITALIC CAPITAL GAMMA
    0x1D71F: [685,0,632,32,589],       // MATHEMATICAL BOLD ITALIC CAPITAL DELTA
    0x1D720: [669,0,732,42,754],       // MATHEMATICAL BOLD ITALIC CAPITAL EPSILON
    0x1D721: [669,0,797,66,830],       // MATHEMATICAL BOLD ITALIC CAPITAL ZETA
    0x1D722: [669,0,891,42,946],       // MATHEMATICAL BOLD ITALIC CAPITAL ETA
    0x1D723: [685,16,783,55,755],      // MATHEMATICAL BOLD ITALIC CAPITAL THETA
    0x1D724: [669,0,502,42,557],       // MATHEMATICAL BOLD ITALIC CAPITAL IOTA
    0x1D725: [669,0,795,42,839],       // MATHEMATICAL BOLD ITALIC CAPITAL KAPPA
    0x1D726: [685,0,759,39,724],       // MATHEMATICAL BOLD ITALIC CAPITAL LAMDA
    0x1D727: [669,0,1016,42,1071],     // MATHEMATICAL BOLD ITALIC CAPITAL MU
    0x1D728: [669,0,869,42,924],       // MATHEMATICAL BOLD ITALIC CAPITAL NU
    0x1D729: [669,0,718,57,757],       // MATHEMATICAL BOLD ITALIC CAPITAL XI
    0x1D72A: [685,16,777,55,755],      // MATHEMATICAL BOLD ITALIC CAPITAL OMICRON
    0x1D72B: [669,0,887,39,942],       // MATHEMATICAL BOLD ITALIC CAPITAL PI
    0x1D72C: [669,0,612,42,733],       // MATHEMATICAL BOLD ITALIC CAPITAL RHO
    0x1D72D: [685,16,783,55,755],      // MATHEMATICAL BOLD ITALIC CAPITAL THETA SYMBOL
    0x1D72E: [669,0,759,64,787],       // MATHEMATICAL BOLD ITALIC CAPITAL SIGMA
    0x1D72F: [669,0,568,28,700],       // MATHEMATICAL BOLD ITALIC CAPITAL TAU
    0x1D730: [685,0,641,31,784],       // MATHEMATICAL BOLD ITALIC CAPITAL UPSILON
    0x1D731: [669,0,827,28,799],       // MATHEMATICAL BOLD ITALIC CAPITAL PHI
    0x1D732: [669,0,808,28,830],       // MATHEMATICAL BOLD ITALIC CAPITAL CHI
    0x1D733: [685,0,694,30,781],       // MATHEMATICAL BOLD ITALIC CAPITAL PSI
    0x1D734: [685,0,826,57,815],       // MATHEMATICAL BOLD ITALIC CAPITAL OMEGA
    0x1D735: [669,16,632,43,600],      // MATHEMATICAL BOLD ITALIC NABLA
    0x1D736: [461,12,624,44,630],      // MATHEMATICAL BOLD ITALIC SMALL ALPHA
    0x1D737: [685,205,555,28,583],     // MATHEMATICAL BOLD ITALIC SMALL BETA
    0x1D738: [462,203,490,44,503],     // MATHEMATICAL BOLD ITALIC SMALL GAMMA
    0x1D739: [685,8,538,44,538],       // MATHEMATICAL BOLD ITALIC SMALL DELTA
    0x1D73A: [462,10,495,28,451],      // MATHEMATICAL BOLD ITALIC SMALL EPSILON
    0x1D73B: [685,203,472,44,522],     // MATHEMATICAL BOLD ITALIC SMALL ZETA
    0x1D73C: [462,205,517,33,511],     // MATHEMATICAL BOLD ITALIC SMALL ETA
    0x1D73D: [686,11,566,44,555],      // MATHEMATICAL BOLD ITALIC SMALL THETA
    0x1D73E: [462,9,318,55,274],       // MATHEMATICAL BOLD ITALIC SMALL IOTA
    0x1D73F: [462,0,560,55,577],       // MATHEMATICAL BOLD ITALIC SMALL KAPPA
    0x1D740: [685,16,570,55,537],      // MATHEMATICAL BOLD ITALIC SMALL LAMDA
    0x1D741: [449,205,636,33,603],     // MATHEMATICAL BOLD ITALIC SMALL MU
    0x1D742: [459,10,523,55,534],      // MATHEMATICAL BOLD ITALIC SMALL NU
    0x1D743: [685,203,476,28,487],     // MATHEMATICAL BOLD ITALIC SMALL XI
    0x1D744: [462,10,561,44,539],      // MATHEMATICAL BOLD ITALIC SMALL OMICRON
    0x1D745: [449,13,579,39,590],      // MATHEMATICAL BOLD ITALIC SMALL PI
    0x1D746: [462,205,595,33,562],     // MATHEMATICAL BOLD ITALIC SMALL RHO
    0x1D747: [462,203,480,39,508],     // MATHEMATICAL BOLD ITALIC SMALL FINAL SIGMA
    0x1D748: [449,10,592,44,603],      // MATHEMATICAL BOLD ITALIC SMALL SIGMA
    0x1D749: [449,7,469,33,502],       // MATHEMATICAL BOLD ITALIC SMALL TAU
    0x1D74A: [462,10,552,33,535],      // MATHEMATICAL BOLD ITALIC SMALL UPSILON
    0x1D74B: [462,205,706,55,667],     // MATHEMATICAL BOLD ITALIC SMALL PHI
    0x1D74C: [462,204,621,33,676],     // MATHEMATICAL BOLD ITALIC SMALL CHI
    0x1D74D: [462,205,701,33,756],     // MATHEMATICAL BOLD ITALIC SMALL PSI
    0x1D74E: [462,10,687,22,665],      // MATHEMATICAL BOLD ITALIC SMALL OMEGA
    0x1D74F: [686,10,559,44,559],      // MATHEMATICAL BOLD ITALIC PARTIAL DIFFERENTIAL
    0x1D750: [461,10,481,44,481],      // MATHEMATICAL BOLD ITALIC EPSILON SYMBOL
    0x1D751: [698,13,607,33,584],      // MATHEMATICAL BOLD ITALIC THETA SYMBOL
    0x1D752: [462,15,607,-12,630],     // MATHEMATICAL BOLD ITALIC KAPPA SYMBOL
    0x1D753: [685,205,683,44,655],     // MATHEMATICAL BOLD ITALIC PHI SYMBOL
    0x1D754: [462,205,585,44,563],     // MATHEMATICAL BOLD ITALIC RHO SYMBOL
    0x1D755: [449,10,868,33,879]       // MATHEMATICAL BOLD ITALIC PI SYMBOL
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/BoldItalic/GreekBoldItalic.js");
