/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/Italic/Cyrillic.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral-italic'],
  {
    0x401: [856,0,611,1,631],          // CYRILLIC CAPITAL LETTER IO
    0x402: [653,208,723,70,663],       // CYRILLIC CAPITAL LETTER DJE
    0x403: [914,0,569,-36,603],        // CYRILLIC CAPITAL LETTER GJE
    0x404: [666,18,657,67,680],        // CYRILLIC CAPITAL LETTER UKRAINIAN IE
    0x405: [667,18,500,7,498],         // CYRILLIC CAPITAL LETTER DZE
    0x406: [653,0,333,-7,382],         // CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
    0x407: [856,0,333,-31,433],        // CYRILLIC CAPITAL LETTER YI
    0x408: [653,18,444,-34,463],       // CYRILLIC CAPITAL LETTER JE
    0x409: [653,16,961,-35,901],       // CYRILLIC CAPITAL LETTER LJE
    0x40A: [653,0,966,-28,906],        // CYRILLIC CAPITAL LETTER NJE
    0x40B: [653,0,786,70,701],         // CYRILLIC CAPITAL LETTER TSHE
    0x40C: [914,0,621,-28,657],        // CYRILLIC CAPITAL LETTER KJE
    0x40E: [887,14,656,110,716],       // CYRILLIC CAPITAL LETTER SHORT U
    0x40F: [653,179,722,-25,747],      // CYRILLIC CAPITAL LETTER DZHE
    0x410: [668,0,611,-49,566],        // CYRILLIC CAPITAL LETTER A
    0x411: [653,0,590,-28,603],        // CYRILLIC CAPITAL LETTER BE
    0x412: [653,0,597,-23,571],        // CYRILLIC CAPITAL LETTER VE
    0x413: [653,0,569,-36,603],        // CYRILLIC CAPITAL LETTER GHE
    0x414: [653,179,655,-103,696],     // CYRILLIC CAPITAL LETTER DE
    0x415: [653,0,611,1,631],          // CYRILLIC CAPITAL LETTER IE
    0x416: [661,0,956,-55,972],        // CYRILLIC CAPITAL LETTER ZHE
    0x417: [668,16,564,9,548],         // CYRILLIC CAPITAL LETTER ZE
    0x418: [653,0,708,-25,749],        // CYRILLIC CAPITAL LETTER I
    0x419: [887,0,708,-25,749],        // CYRILLIC CAPITAL LETTER SHORT I
    0x41A: [661,0,621,-28,657],        // CYRILLIC CAPITAL LETTER KA
    0x41B: [653,16,699,-35,740],       // CYRILLIC CAPITAL LETTER EL
    0x41C: [653,0,814,-33,855],        // CYRILLIC CAPITAL LETTER EM
    0x41D: [653,0,708,-26,749],        // CYRILLIC CAPITAL LETTER EN
    0x41E: [667,18,712,60,699],        // CYRILLIC CAPITAL LETTER O
    0x41F: [653,0,704,-29,745],        // CYRILLIC CAPITAL LETTER PE
    0x420: [653,0,568,-24,578],        // CYRILLIC CAPITAL LETTER ER
    0x421: [666,18,667,67,690],        // CYRILLIC CAPITAL LETTER ES
    0x422: [653,0,556,70,644],         // CYRILLIC CAPITAL LETTER TE
    0x423: [653,14,656,110,716],       // CYRILLIC CAPITAL LETTER U
    0x424: [653,0,772,73,758],         // CYRILLIC CAPITAL LETTER EF
    0x425: [653,0,575,-67,617],        // CYRILLIC CAPITAL LETTER HA
    0x426: [653,179,706,-25,747],      // CYRILLIC CAPITAL LETTER TSE
    0x427: [653,0,622,54,663],         // CYRILLIC CAPITAL LETTER CHE
    0x428: [653,0,936,-14,977],        // CYRILLIC CAPITAL LETTER SHA
    0x429: [653,179,936,-14,977],      // CYRILLIC CAPITAL LETTER SHCHA
    0x42A: [653,0,695,63,652],         // CYRILLIC CAPITAL LETTER HARD SIGN
    0x42B: [653,0,852,-28,893],        // CYRILLIC CAPITAL LETTER YERU
    0x42C: [653,0,597,-28,537],        // CYRILLIC CAPITAL LETTER SOFT SIGN
    0x42D: [666,18,658,15,636],        // CYRILLIC CAPITAL LETTER E
    0x42E: [666,18,877,-32,850],       // CYRILLIC CAPITAL LETTER YU
    0x42F: [653,0,635,-49,676],        // CYRILLIC CAPITAL LETTER YA
    0x430: [441,11,514,23,482],        // CYRILLIC SMALL LETTER A
    0x431: [683,11,498,36,535],        // CYRILLIC SMALL LETTER BE
    0x432: [441,11,442,31,423],        // CYRILLIC SMALL LETTER VE
    0x433: [441,11,390,1,384],         // CYRILLIC SMALL LETTER GHE
    0x434: [683,11,489,30,470],        // CYRILLIC SMALL LETTER DE
    0x435: [441,11,440,34,422],        // CYRILLIC SMALL LETTER IE
    0x436: [441,11,799,0,791],         // CYRILLIC SMALL LETTER ZHE
    0x437: [441,11,376,-18,357],       // CYRILLIC SMALL LETTER ZE
    0x438: [441,11,527,29,495],        // CYRILLIC SMALL LETTER I
    0x439: [667,11,527,29,495],        // CYRILLIC SMALL LETTER SHORT I
    0x43A: [441,11,491,18,485],        // CYRILLIC SMALL LETTER KA
    0x43B: [441,12,474,-44,442],       // CYRILLIC SMALL LETTER EL
    0x43C: [432,12,633,-45,601],       // CYRILLIC SMALL LETTER EM
    0x43D: [441,9,504,20,472],         // CYRILLIC SMALL LETTER EN
    0x43E: [441,11,489,29,470],        // CYRILLIC SMALL LETTER O
    0x43F: [441,9,511,19,479],         // CYRILLIC SMALL LETTER PE
    0x440: [441,205,483,-77,464],      // CYRILLIC SMALL LETTER ER
    0x441: [441,11,441,27,422],        // CYRILLIC SMALL LETTER ES
    0x442: [441,9,741,17,709],         // CYRILLIC SMALL LETTER TE
    0x443: [441,206,421,-61,389],      // CYRILLIC SMALL LETTER U
    0x444: [683,205,702,29,677],       // CYRILLIC SMALL LETTER EF
    0x445: [441,11,444,-35,439],       // CYRILLIC SMALL LETTER HA
    0x446: [441,182,527,29,495],       // CYRILLIC SMALL LETTER TSE
    0x447: [441,9,482,42,450],         // CYRILLIC SMALL LETTER CHE
    0x448: [441,11,785,31,753],        // CYRILLIC SMALL LETTER SHA
    0x449: [441,182,785,31,753],       // CYRILLIC SMALL LETTER SHCHA
    0x44A: [441,11,567,12,528],        // CYRILLIC SMALL LETTER HARD SIGN
    0x44B: [441,11,689,50,657],        // CYRILLIC SMALL LETTER YERU
    0x44C: [441,11,471,50,433],        // CYRILLIC SMALL LETTER SOFT SIGN
    0x44D: [441,11,408,7,391],         // CYRILLIC SMALL LETTER E
    0x44E: [441,11,674,21,655],        // CYRILLIC SMALL LETTER YU
    0x44F: [432,9,481,-25,449],        // CYRILLIC SMALL LETTER YA
    0x451: [606,11,440,34,475],        // CYRILLIC SMALL LETTER IO
    0x452: [683,208,479,20,448],       // CYRILLIC SMALL LETTER DJE
    0x453: [664,11,390,1,455],         // CYRILLIC SMALL LETTER GJE
    0x454: [441,11,428,26,441],        // CYRILLIC SMALL LETTER UKRAINIAN IE
    0x455: [442,13,389,-9,341],        // CYRILLIC SMALL LETTER DZE
    0x456: [654,11,278,43,258],        // CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
    0x457: [606,11,278,43,357],        // CYRILLIC SMALL LETTER YI
    0x458: [652,207,278,-172,231],     // CYRILLIC SMALL LETTER JE
    0x459: [441,12,679,-44,631],       // CYRILLIC SMALL LETTER LJE
    0x45A: [441,11,697,21,649],        // CYRILLIC SMALL LETTER NJE
    0x45B: [683,9,511,20,479],         // CYRILLIC SMALL LETTER TSHE
    0x45C: [664,11,491,18,485],        // CYRILLIC SMALL LETTER KJE
    0x45E: [667,206,421,-61,417],      // CYRILLIC SMALL LETTER SHORT U
    0x45F: [441,182,527,29,495],       // CYRILLIC SMALL LETTER DZHE
    0x462: [653,0,681,19,621],         // CYRILLIC CAPITAL LETTER YAT
    0x463: [683,11,542,13,504],        // CYRILLIC SMALL LETTER YAT
    0x46A: [653,0,953,-55,893],        // CYRILLIC CAPITAL LETTER BIG YUS
    0x46B: [432,11,741,0,686],         // CYRILLIC SMALL LETTER BIG YUS
    0x472: [667,18,712,60,699],        // CYRILLIC CAPITAL LETTER FITA
    0x473: [441,11,489,29,470],        // CYRILLIC SMALL LETTER FITA
    0x474: [662,18,646,76,742],        // CYRILLIC CAPITAL LETTER IZHITSA
    0x475: [441,18,464,34,528],        // CYRILLIC SMALL LETTER IZHITSA
    0x490: [783,0,524,-30,622],        // CYRILLIC CAPITAL LETTER GHE WITH UPTURN
    0x491: [507,11,337,42,404]         // CYRILLIC SMALL LETTER GHE WITH UPTURN
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/Italic/Cyrillic.js");
