/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/Italic/Latin1Supplement.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral-italic'],
  {
    0xA0: [0,0,250,0,0],               // NO-BREAK SPACE
    0xA1: [474,205,389,59,321],        // INVERTED EXCLAMATION MARK
    0xA2: [560,143,500,77,472],        // CENT SIGN
    0xA3: [670,8,500,10,517],          // POUND SIGN
    0xA4: [534,10,500,-22,522],        // CURRENCY SIGN
    0xA5: [653,0,500,28,605],          // YEN SIGN
    0xA6: [666,18,275,105,171],        // BROKEN BAR
    0xA7: [666,162,500,53,461],        // SECTION SIGN
    0xA8: [606,-508,333,107,405],      // DIAERESIS
    0xA9: [666,18,760,41,719],         // COPYRIGHT SIGN
    0xAA: [676,-406,276,42,352],       // FEMININE ORDINAL INDICATOR
    0xAB: [403,-37,500,53,445],        // LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
    0xAC: [386,-108,675,86,590],       // NOT SIGN
    0xAD: [255,-192,333,49,282],       // SOFT HYPHEN
    0xAE: [666,18,760,41,719],         // REGISTERED SIGN
    0xAF: [583,-532,333,99,411],       // MACRON
    0xB0: [676,-390,400,101,387],      // DEGREE SIGN
    0xB1: [568,0,675,86,590],          // PLUS-MINUS SIGN
    0xB2: [676,-271,300,33,324],       // SUPERSCRIPT TWO
    0xB3: [676,-268,300,43,339],       // SUPERSCRIPT THREE
    0xB4: [664,-494,333,180,403],      // ACUTE ACCENT
    0xB5: [428,209,500,-30,497],       // MICRO SIGN
    0xB6: [653,123,559,60,621],        // PILCROW SIGN
    0xB7: [310,-199,250,70,181],       // MIDDLE DOT
    0xB8: [0,217,333,-30,182],         // CEDILLA
    0xB9: [676,-271,300,43,284],       // SUPERSCRIPT ONE
    0xBA: [676,-406,310,67,362],       // MASCULINE ORDINAL INDICATOR
    0xBB: [403,-37,500,55,447],        // RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
    0xBC: [676,10,750,33,736],         // VULGAR FRACTION ONE QUARTER
    0xBD: [676,10,750,34,749],         // VULGAR FRACTION ONE HALF
    0xBE: [676,10,750,23,736],         // VULGAR FRACTION THREE QUARTERS
    0xBF: [473,205,500,28,367],        // INVERTED QUESTION MARK
    0xC0: [914,0,611,-51,564],         // LATIN CAPITAL LETTER A WITH GRAVE
    0xC1: [914,0,611,-51,564],         // LATIN CAPITAL LETTER A WITH ACUTE
    0xC2: [911,0,611,-51,564],         // LATIN CAPITAL LETTER A WITH CIRCUMFLEX
    0xC3: [874,0,611,-51,572],         // LATIN CAPITAL LETTER A WITH TILDE
    0xC4: [856,0,611,-51,564],         // LATIN CAPITAL LETTER A WITH DIAERESIS
    0xC5: [957,0,611,-51,564],         // LATIN CAPITAL LETTER A WITH RING ABOVE
    0xC6: [653,0,889,-27,911],         // LATIN CAPITAL LETTER AE
    0xC7: [666,217,667,66,689],        // LATIN CAPITAL LETTER C WITH CEDILLA
    0xC8: [914,0,611,-1,634],          // LATIN CAPITAL LETTER E WITH GRAVE
    0xC9: [914,0,611,-1,634],          // LATIN CAPITAL LETTER E WITH ACUTE
    0xCA: [911,0,611,-1,634],          // LATIN CAPITAL LETTER E WITH CIRCUMFLEX
    0xCB: [856,0,611,-1,634],          // LATIN CAPITAL LETTER E WITH DIAERESIS
    0xCC: [914,0,333,-8,398],          // LATIN CAPITAL LETTER I WITH GRAVE
    0xCD: [914,0,333,-8,414],          // LATIN CAPITAL LETTER I WITH ACUTE
    0xCE: [911,0,333,-8,450],          // LATIN CAPITAL LETTER I WITH CIRCUMFLEX
    0xCF: [856,0,333,-8,457],          // LATIN CAPITAL LETTER I WITH DIAERESIS
    0xD0: [653,0,722,-8,700],          // LATIN CAPITAL LETTER ETH
    0xD1: [874,15,667,-20,727],        // LATIN CAPITAL LETTER N WITH TILDE
    0xD2: [914,18,722,60,699],         // LATIN CAPITAL LETTER O WITH GRAVE
    0xD3: [914,18,722,60,699],         // LATIN CAPITAL LETTER O WITH ACUTE
    0xD4: [911,18,722,60,699],         // LATIN CAPITAL LETTER O WITH CIRCUMFLEX
    0xD5: [874,18,722,60,699],         // LATIN CAPITAL LETTER O WITH TILDE
    0xD6: [856,18,722,60,699],         // LATIN CAPITAL LETTER O WITH DIAERESIS
    0xD7: [497,-8,675,93,582],         // MULTIPLICATION SIGN
    0xD8: [722,105,722,60,699],        // LATIN CAPITAL LETTER O WITH STROKE
    0xD9: [914,18,722,102,765],        // LATIN CAPITAL LETTER U WITH GRAVE
    0xDA: [914,18,722,102,765],        // LATIN CAPITAL LETTER U WITH ACUTE
    0xDB: [911,18,722,102,765],        // LATIN CAPITAL LETTER U WITH CIRCUMFLEX
    0xDC: [856,18,722,102,765],        // LATIN CAPITAL LETTER U WITH DIAERESIS
    0xDD: [914,0,556,78,633],          // LATIN CAPITAL LETTER Y WITH ACUTE
    0xDE: [653,0,611,0,569],           // LATIN CAPITAL LETTER THORN
    0xDF: [679,207,500,-168,493],      // LATIN SMALL LETTER SHARP S
    0xE0: [664,11,501,17,476],         // LATIN SMALL LETTER A WITH GRAVE
    0xE1: [664,11,501,17,476],         // LATIN SMALL LETTER A WITH ACUTE
    0xE2: [661,11,501,17,497],         // LATIN SMALL LETTER A WITH CIRCUMFLEX
    0xE3: [624,11,501,17,521],         // LATIN SMALL LETTER A WITH TILDE
    0xE4: [606,11,501,17,503],         // LATIN SMALL LETTER A WITH DIAERESIS
    0xE5: [709,11,501,17,476],         // LATIN SMALL LETTER A WITH RING ABOVE
    0xE6: [441,11,667,23,640],         // LATIN SMALL LETTER AE
    0xE7: [441,217,444,26,425],        // LATIN SMALL LETTER C WITH CEDILLA
    0xE8: [664,11,444,31,414],         // LATIN SMALL LETTER E WITH GRAVE
    0xE9: [664,11,444,31,431],         // LATIN SMALL LETTER E WITH ACUTE
    0xEA: [661,11,444,31,466],         // LATIN SMALL LETTER E WITH CIRCUMFLEX
    0xEB: [606,11,444,31,475],         // LATIN SMALL LETTER E WITH DIAERESIS
    0xEC: [664,11,278,47,302],         // LATIN SMALL LETTER I WITH GRAVE
    0xED: [664,11,278,47,318],         // LATIN SMALL LETTER I WITH ACUTE
    0xEE: [661,11,278,47,351],         // LATIN SMALL LETTER I WITH CIRCUMFLEX
    0xEF: [606,11,278,47,361],         // LATIN SMALL LETTER I WITH DIAERESIS
    0xF0: [683,11,500,27,482],         // LATIN SMALL LETTER ETH
    0xF1: [624,9,500,14,488],          // LATIN SMALL LETTER N WITH TILDE
    0xF2: [664,11,500,27,468],         // LATIN SMALL LETTER O WITH GRAVE
    0xF3: [664,11,500,27,468],         // LATIN SMALL LETTER O WITH ACUTE
    0xF4: [661,11,500,27,468],         // LATIN SMALL LETTER O WITH CIRCUMFLEX
    0xF5: [624,11,500,27,494],         // LATIN SMALL LETTER O WITH TILDE
    0xF6: [606,11,500,27,474],         // LATIN SMALL LETTER O WITH DIAERESIS
    0xF7: [517,11,675,86,590],         // DIVISION SIGN
    0xF8: [554,135,500,28,469],        // LATIN SMALL LETTER O WITH STROKE
    0xF9: [664,11,500,42,475],         // LATIN SMALL LETTER U WITH GRAVE
    0xFA: [664,11,500,42,475],         // LATIN SMALL LETTER U WITH ACUTE
    0xFB: [661,11,500,42,475],         // LATIN SMALL LETTER U WITH CIRCUMFLEX
    0xFC: [606,11,500,42,475],         // LATIN SMALL LETTER U WITH DIAERESIS
    0xFD: [664,206,444,-24,426],       // LATIN SMALL LETTER Y WITH ACUTE
    0xFE: [683,205,500,-75,469],       // LATIN SMALL LETTER THORN
    0xFF: [606,206,444,-24,442]        // LATIN SMALL LETTER Y WITH DIAERESIS
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/Italic/Latin1Supplement.js");
