/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/Italic/Main.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral-italic'] = {
  directory: 'General/Italic',
  family: 'STIXGeneral',
  style: 'italic',
  Ranges: [
    [0xA0,0xFF,"Latin1Supplement"],
    [0x100,0x17F,"LatinExtendedA"],
    [0x180,0x24F,"LatinExtendedB"],
    [0x250,0x2AF,"IPAExtensions"],
    [0x2B0,0x2FF,"SpacingModLetters"],
    [0x370,0x3FF,"GreekAndCoptic"],
    [0x400,0x4FF,"Cyrillic"],
    [0x1E00,0x1EFF,"LatinExtendedAdditional"],
    [0x2000,0x206F,"GeneralPunctuation"],
    [0x20A0,0x20CF,"CurrencySymbols"],
    [0x20D0,0x20FF,"CombDiactForSymbols"],
    [0x2100,0x214F,"LetterlikeSymbols"],
    [0x2200,0x22FF,"MathOperators"],
    [0x2400,0x243F,"ControlPictures"],
    [0x2460,0x24FF,"EnclosedAlphanum"],
    [0x2500,0x257F,"BoxDrawing"],
    [0xFB00,0xFB4F,"AlphaPresentForms"],
    [0x1D434,0x1D467,"MathItalic"],
    [0x1D49C,0x1D4CF,"MathScript"],
    [0x1D608,0x1D63B,"MathSSItalic"],
    [0x1D6A4,0x1D6A5,"ij"],
    [0x1D6E2,0x1D71B,"GreekItalic"]
  ],
  0x20: [0,0,250,0,0],               // SPACE
  0x21: [667,11,333,39,304],         // EXCLAMATION MARK
  0x22: [666,-421,420,144,432],      // QUOTATION MARK
  0x23: [676,0,501,2,540],           // NUMBER SIGN
  0x24: [731,89,500,32,497],         // DOLLAR SIGN
  0x25: [706,19,755,80,705],         // PERCENT SIGN
  0x26: [666,18,778,76,723],         // AMPERSAND
  0x27: [666,-421,214,132,241],      // APOSTROPHE
  0x28: [669,181,333,42,315],        // LEFT PARENTHESIS
  0x29: [669,180,333,16,289],        // RIGHT PARENTHESIS
  0x2A: [666,-255,500,128,492],      // ASTERISK
  0x2B: [506,0,675,86,590],          // PLUS SIGN
  0x2C: [101,129,250,-5,135],        // COMMA
  0x2D: [255,-192,333,49,282],       // HYPHEN-MINUS
  0x2E: [100,11,250,27,138],         // FULL STOP
  0x2F: [666,18,278,-65,386],        // SOLIDUS
  0x30: [676,7,500,32,497],          // DIGIT ZERO
  0x31: [676,0,500,50,409],          // DIGIT ONE
  0x32: [676,0,500,12,452],          // DIGIT TWO
  0x33: [676,7,500,16,465],          // DIGIT THREE
  0x34: [676,0,500,1,479],           // DIGIT FOUR
  0x35: [666,7,500,15,491],          // DIGIT FIVE
  0x36: [686,7,500,30,521],          // DIGIT SIX
  0x37: [666,8,500,75,537],          // DIGIT SEVEN
  0x38: [676,7,500,30,493],          // DIGIT EIGHT
  0x39: [676,17,500,23,492],         // DIGIT NINE
  0x3A: [441,11,333,50,261],         // COLON
  0x3B: [441,129,333,26,261],        // SEMICOLON
  0x3C: [516,10,675,84,592],         // LESS-THAN SIGN
  0x3D: [386,-120,675,86,590],       // EQUALS SIGN
  0x3E: [516,10,675,84,592],         // GREATER-THAN SIGN
  0x3F: [664,12,500,132,472],        // QUESTION MARK
  0x40: [666,18,920,118,806],        // COMMERCIAL AT
  0x41: [668,0,611,-51,564],         // LATIN CAPITAL LETTER A
  0x42: [653,0,611,-8,588],          // LATIN CAPITAL LETTER B
  0x43: [666,18,667,66,689],         // LATIN CAPITAL LETTER C
  0x44: [653,0,722,-8,700],          // LATIN CAPITAL LETTER D
  0x45: [653,0,611,-1,634],          // LATIN CAPITAL LETTER E
  0x46: [653,0,611,8,645],           // LATIN CAPITAL LETTER F
  0x47: [666,18,722,52,722],         // LATIN CAPITAL LETTER G
  0x48: [653,0,722,-8,769],          // LATIN CAPITAL LETTER H
  0x49: [653,0,333,-8,384],          // LATIN CAPITAL LETTER I
  0x4A: [653,18,444,-6,491],         // LATIN CAPITAL LETTER J
  0x4B: [653,0,667,7,722],           // LATIN CAPITAL LETTER K
  0x4C: [653,0,556,-8,559],          // LATIN CAPITAL LETTER L
  0x4D: [653,0,833,-18,872],         // LATIN CAPITAL LETTER M
  0x4E: [653,15,667,-20,727],        // LATIN CAPITAL LETTER N
  0x4F: [667,18,722,60,699],         // LATIN CAPITAL LETTER O
  0x50: [653,0,611,0,605],           // LATIN CAPITAL LETTER P
  0x51: [666,182,722,59,699],        // LATIN CAPITAL LETTER Q
  0x52: [653,0,611,-13,588],         // LATIN CAPITAL LETTER R
  0x53: [667,18,500,17,508],         // LATIN CAPITAL LETTER S
  0x54: [653,0,556,59,633],          // LATIN CAPITAL LETTER T
  0x55: [653,18,722,102,765],        // LATIN CAPITAL LETTER U
  0x56: [653,18,611,76,688],         // LATIN CAPITAL LETTER V
  0x57: [653,18,833,71,906],         // LATIN CAPITAL LETTER W
  0x58: [653,0,611,-29,655],         // LATIN CAPITAL LETTER X
  0x59: [653,0,556,78,633],          // LATIN CAPITAL LETTER Y
  0x5A: [653,0,556,-6,606],          // LATIN CAPITAL LETTER Z
  0x5B: [663,153,389,21,391],        // LEFT SQUARE BRACKET
  0x5C: [666,18,278,-41,319],        // REVERSE SOLIDUS
  0x5D: [663,153,389,12,382],        // RIGHT SQUARE BRACKET
  0x5E: [666,-301,422,0,422],        // CIRCUMFLEX ACCENT
  0x5F: [-75,125,500,0,500],         // LOW LINE
  0x60: [664,-492,333,120,311],      // GRAVE ACCENT
  0x61: [441,11,501,17,476],         // LATIN SMALL LETTER A
  0x62: [683,11,500,23,473],         // LATIN SMALL LETTER B
  0x63: [441,11,444,30,425],         // LATIN SMALL LETTER C
  0x64: [683,13,500,15,527],         // LATIN SMALL LETTER D
  0x65: [441,11,444,31,412],         // LATIN SMALL LETTER E
  0x66: [678,207,278,-147,424],      // LATIN SMALL LETTER F
  0x67: [441,206,500,8,471],         // LATIN SMALL LETTER G
  0x68: [683,9,500,19,478],          // LATIN SMALL LETTER H
  0x69: [654,11,278,49,264],         // LATIN SMALL LETTER I
  0x6A: [652,207,278,-124,279],      // LATIN SMALL LETTER J
  0x6B: [683,11,444,14,461],         // LATIN SMALL LETTER K
  0x6C: [683,11,278,41,279],         // LATIN SMALL LETTER L
  0x6D: [441,9,722,12,704],          // LATIN SMALL LETTER M
  0x6E: [441,9,500,14,474],          // LATIN SMALL LETTER N
  0x6F: [441,11,500,27,468],         // LATIN SMALL LETTER O
  0x70: [441,205,504,-75,472],       // LATIN SMALL LETTER P
  0x71: [441,209,500,25,484],        // LATIN SMALL LETTER Q
  0x72: [441,0,389,45,412],          // LATIN SMALL LETTER R
  0x73: [442,13,389,16,366],         // LATIN SMALL LETTER S
  0x74: [546,11,278,38,296],         // LATIN SMALL LETTER T
  0x75: [441,11,500,42,475],         // LATIN SMALL LETTER U
  0x76: [441,18,444,20,426],         // LATIN SMALL LETTER V
  0x77: [441,18,667,15,648],         // LATIN SMALL LETTER W
  0x78: [441,11,444,-27,447],        // LATIN SMALL LETTER X
  0x79: [441,206,444,-24,426],       // LATIN SMALL LETTER Y
  0x7A: [428,81,389,-2,380],         // LATIN SMALL LETTER Z
  0x7B: [687,177,400,51,407],        // LEFT CURLY BRACKET
  0x7C: [666,18,275,105,171],        // VERTICAL LINE
  0x7D: [687,177,400,-7,349],        // RIGHT CURLY BRACKET
  0x7E: [323,-183,541,40,502],       // TILDE
  0x131: [441,11,278,47,235],        // LATIN SMALL LETTER DOTLESS I
  0x237: [441,207,278,-124,246],     // LATIN SMALL LETTER DOTLESS J
  0x393: [653,0,611,8,645],          // GREEK CAPITAL LETTER GAMMA
  0x394: [668,0,611,-32,526],        // GREEK CAPITAL LETTER DELTA
  0x398: [667,18,722,60,699],        // GREEK CAPITAL LETTER THETA
  0x39B: [668,0,611,-51,564],        // GREEK CAPITAL LETTER LAMDA
  0x39E: [653,0,651,-6,680],         // GREEK CAPITAL LETTER XI
  0x3A0: [653,0,722,-8,769],         // GREEK CAPITAL LETTER PI
  0x3A3: [653,0,620,-6,659],         // GREEK CAPITAL LETTER SIGMA
  0x3A5: [668,0,556,78,648],         // GREEK CAPITAL LETTER UPSILON
  0x3A6: [653,0,741,50,731],         // GREEK CAPITAL LETTER PHI
  0x3A8: [667,0,675,77,778],         // GREEK CAPITAL LETTER PSI
  0x3A9: [666,0,762,-6,739],         // GREEK CAPITAL LETTER OMEGA
  0x3B1: [441,11,552,27,549],        // GREEK SMALL LETTER ALPHA
  0x3B2: [678,205,506,-40,514],      // GREEK SMALL LETTER BETA
  0x3B3: [435,206,410,19,438],       // GREEK SMALL LETTER GAMMA
  0x3B4: [668,11,460,24,460],        // GREEK SMALL LETTER DELTA
  0x3B5: [441,11,444,30,425],        // GREEK SMALL LETTER EPSILON
  0x3B6: [683,185,454,30,475],       // GREEK SMALL LETTER ZETA
  0x3B7: [441,205,474,14,442],       // GREEK SMALL LETTER ETA
  0x3B8: [678,11,480,27,494],        // GREEK SMALL LETTER THETA
  0x3B9: [441,11,278,49,235],        // GREEK SMALL LETTER IOTA
  0x3BA: [441,13,444,14,465],        // GREEK SMALL LETTER KAPPA
  0x3BB: [678,16,458,-12,431],       // GREEK SMALL LETTER LAMDA
  0x3BC: [428,205,526,-33,483],      // GREEK SMALL LETTER MU
  0x3BD: [441,18,470,20,459],        // GREEK SMALL LETTER NU
  0x3BE: [683,185,454,30,446],       // GREEK SMALL LETTER XI
  0x3BF: [441,11,500,27,468],        // GREEK SMALL LETTER OMICRON
  0x3C0: [428,18,504,19,536],        // GREEK SMALL LETTER PI
  0x3C1: [441,205,504,-40,471],      // GREEK SMALL LETTER RHO
  0x3C2: [441,185,454,30,453],       // GREEK SMALL LETTER FINAL SIGMA
  0x3C3: [428,11,498,27,531],        // GREEK SMALL LETTER SIGMA
  0x3C4: [428,11,410,12,426],        // GREEK SMALL LETTER TAU
  0x3C5: [441,10,478,19,446],        // GREEK SMALL LETTER UPSILON
  0x3C6: [441,205,622,27,590],       // GREEK SMALL LETTER PHI
  0x3C7: [441,207,457,-108,498],     // GREEK SMALL LETTER CHI
  0x3C8: [441,205,584,15,668],       // GREEK SMALL LETTER PSI
  0x3C9: [439,11,686,27,654],        // GREEK SMALL LETTER OMEGA
  0x3D1: [678,10,556,19,526],        // GREEK THETA SYMBOL
  0x3D5: [683,205,627,27,595],       // GREEK PHI SYMBOL
  0x3D6: [428,11,792,17,832],        // GREEK PI SYMBOL
  0x3F1: [441,205,516,27,484],       // GREEK RHO SYMBOL
  0x3F5: [441,11,444,30,420],        // GREEK LUNATE EPSILON SYMBOL
  0x2113: [687,11,579,48,571]        // SCRIPT SMALL L
};

MathJax.OutputJax["HTML-CSS"].initFont("STIXGeneral-italic");

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/Italic/Main.js");
