/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/Regular/Arrows.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral'],
  {
    0x219A: [450,-58,926,60,866],      // LEFTWARDS ARROW WITH STROKE
    0x219B: [450,-58,926,60,866],      // RIGHTWARDS ARROW WITH STROKE
    0x219C: [411,-102,926,70,856],     // LEFTWARDS WAVE ARROW
    0x219D: [411,-102,926,70,856],     // RIGHTWARDS WAVE ARROW
    0x219E: [449,-58,926,70,856],      // LEFTWARDS TWO HEADED ARROW
    0x219F: [662,154,511,60,451],      // UPWARDS TWO HEADED ARROW
    0x21A0: [449,-58,926,70,856],      // RIGHTWARDS TWO HEADED ARROW
    0x21A1: [662,154,511,60,451],      // DOWNWARDS TWO HEADED ARROW
    0x21A2: [449,-58,926,70,856],      // LEFTWARDS ARROW WITH TAIL
    0x21A3: [449,-58,926,70,856],      // RIGHTWARDS ARROW WITH TAIL
    0x21A4: [450,-57,926,70,857],      // LEFTWARDS ARROW FROM BAR
    0x21A5: [662,154,511,60,451],      // UPWARDS ARROW FROM BAR
    0x21A7: [662,154,511,59,451],      // DOWNWARDS ARROW FROM BAR
    0x21A8: [662,154,511,59,451],      // UP DOWN ARROW WITH BASE
    0x21AB: [553,0,926,70,856],        // LEFTWARDS ARROW WITH LOOP
    0x21AC: [553,0,926,70,856],        // RIGHTWARDS ARROW WITH LOOP
    0x21AD: [449,-58,1200,49,1151],    // LEFT RIGHT WAVE ARROW
    0x21AE: [450,-58,926,38,888],      // LEFT RIGHT ARROW WITH STROKE
    0x21AF: [662,154,511,60,451],      // DOWNWARDS ZIGZAG ARROW
    0x21B0: [662,156,463,30,424],      // UPWARDS ARROW WITH TIP LEFTWARDS
    0x21B1: [662,156,463,39,433],      // UPWARDS ARROW WITH TIP RIGHTWARDS
    0x21B2: [662,154,463,25,419],      // DOWNWARDS ARROW WITH TIP LEFTWARDS
    0x21B3: [662,154,463,39,433],      // DOWNWARDS ARROW WITH TIP RIGHTWARDS
    0x21B4: [662,154,926,70,856],      // RIGHTWARDS ARROW WITH CORNER DOWNWARDS
    0x21B5: [662,156,926,70,856],      // DOWNWARDS ARROW WITH CORNER LEFTWARDS
    0x21B6: [534,0,926,44,882],        // ANTICLOCKWISE TOP SEMICIRCLE ARROW
    0x21B7: [534,0,926,44,882],        // CLOCKWISE TOP SEMICIRCLE ARROW
    0x21B8: [732,156,926,55,872],      // NORTH WEST ARROW TO LONG BAR
    0x21B9: [598,92,926,60,866],       // LEFTWARDS ARROW TO BAR OVER RIGHTWARDS ARROW TO BAR
    0x21BA: [686,116,974,116,858],     // ANTICLOCKWISE OPEN CIRCLE ARROW
    0x21BB: [686,116,974,116,858],     // CLOCKWISE OPEN CIRCLE ARROW
    0x21BE: [662,156,511,222,441],     // UPWARDS HARPOON WITH BARB RIGHTWARDS
    0x21BF: [662,156,511,69,288],      // UPWARDS HARPOON WITH BARB LEFTWARDS
    0x21C2: [662,156,511,222,441],     // DOWNWARDS HARPOON WITH BARB RIGHTWARDS
    0x21C3: [662,156,511,69,288],      // DOWNWARDS HARPOON WITH BARB LEFTWARDS
    0x21C4: [598,92,926,71,856],       // RIGHTWARDS ARROW OVER LEFTWARDS ARROW
    0x21C5: [662,156,773,31,742],      // UPWARDS ARROW LEFTWARDS OF DOWNWARDS ARROW
    0x21C6: [598,92,926,71,856],       // LEFTWARDS ARROW OVER RIGHTWARDS ARROW
    0x21C7: [599,92,926,70,856],       // LEFTWARDS PAIRED ARROWS
    0x21C8: [662,156,773,41,732],      // UPWARDS PAIRED ARROWS
    0x21C9: [599,92,926,70,856],       // RIGHTWARDS PAIRED ARROWS
    0x21CA: [662,156,773,41,732],      // DOWNWARDS PAIRED ARROWS
    0x21CB: [539,33,926,70,856],       // LEFTWARDS HARPOON OVER RIGHTWARDS HARPOON
    0x21CD: [551,45,926,60,866],       // LEFTWARDS DOUBLE ARROW WITH STROKE
    0x21CE: [517,10,926,20,906],       // LEFT RIGHT DOUBLE ARROW WITH STROKE
    0x21CF: [551,45,926,60,866],       // RIGHTWARDS DOUBLE ARROW WITH STROKE
    0x21D6: [662,156,926,55,874],      // NORTH WEST DOUBLE ARROW
    0x21D7: [662,156,926,55,874],      // NORTH EAST DOUBLE ARROW
    0x21D8: [662,156,926,55,874],      // SOUTH EAST DOUBLE ARROW
    0x21D9: [662,156,926,55,874],      // SOUTH WEST DOUBLE ARROW
    0x21DA: [644,139,926,46,852],      // LEFTWARDS TRIPLE ARROW
    0x21DB: [645,138,926,74,880],      // RIGHTWARDS TRIPLE ARROW
    0x21DC: [449,-58,926,60,866],      // LEFTWARDS SQUIGGLE ARROW
    0x21DD: [449,-58,926,60,866],      // RIGHTWARDS SQUIGGLE ARROW
    0x21DE: [662,156,511,60,451],      // UPWARDS ARROW WITH DOUBLE STROKE
    0x21DF: [662,156,511,60,451],      // DOWNWARDS ARROW WITH DOUBLE STROKE
    0x21E0: [449,-58,926,60,866],      // LEFTWARDS DASHED ARROW
    0x21E1: [662,156,511,60,451],      // UPWARDS DASHED ARROW
    0x21E2: [449,-58,926,60,866],      // RIGHTWARDS DASHED ARROW
    0x21E3: [662,156,511,60,451],      // DOWNWARDS DASHED ARROW
    0x21E4: [450,-58,926,60,866],      // LEFTWARDS ARROW TO BAR
    0x21E5: [450,-58,926,60,866],      // RIGHTWARDS ARROW TO BAR
    0x21E6: [551,45,926,60,866],       // LEFTWARDS WHITE ARROW
    0x21E7: [662,156,685,45,641],      // UPWARDS WHITE ARROW
    0x21E8: [551,45,926,60,866],       // RIGHTWARDS WHITE ARROW
    0x21E9: [662,156,685,45,641],      // DOWNWARDS WHITE ARROW
    0x21EA: [690,184,685,45,641],      // UPWARDS WHITE ARROW FROM BAR
    0x21F4: [448,-57,926,70,856],      // RIGHT ARROW WITH SMALL CIRCLE
    0x21F5: [662,156,773,31,742],      // DOWNWARDS ARROW LEFTWARDS OF UPWARDS ARROW
    0x21F6: [739,232,926,60,866],      // THREE RIGHTWARDS ARROWS
    0x21F7: [450,-58,926,60,866],      // LEFTWARDS ARROW WITH VERTICAL STROKE
    0x21F8: [450,-58,926,55,861],      // RIGHTWARDS ARROW WITH VERTICAL STROKE
    0x21F9: [450,-58,926,48,878],      // LEFT RIGHT ARROW WITH VERTICAL STROKE
    0x21FA: [450,-58,926,60,866],      // LEFTWARDS ARROW WITH DOUBLE VERTICAL STROKE
    0x21FB: [450,-58,926,60,866],      // RIGHTWARDS ARROW WITH DOUBLE VERTICAL STROKE
    0x21FC: [450,-58,926,38,888],      // LEFT RIGHT ARROW WITH DOUBLE VERTICAL STROKE
    0x21FD: [449,-57,926,60,866],      // LEFTWARDS OPEN-HEADED ARROW
    0x21FE: [449,-57,926,60,866],      // RIGHTWARDS OPEN-HEADED ARROW
    0x21FF: [449,-57,926,20,906]       // LEFT RIGHT OPEN-HEADED ARROW
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/Regular/Arrows.js");
