/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/Regular/CombDiacritMarks.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral'],
  {
    0x305: [820,-770,0,-480,20],       // COMBINING OVERLINE
    0x309: [751,-492,0,-307,-118],     // COMBINING HOOK ABOVE
    0x30D: [700,-500,0,-250,-195],     // COMBINING VERTICAL LINE ABOVE
    0x30E: [700,-500,0,-326,-133],     // COMBINING DOUBLE VERTICAL LINE ABOVE
    0x30F: [678,-507,0,-401,-22],      // COMBINING DOUBLE GRAVE ACCENT
    0x310: [767,-507,0,-373,-92],      // COMBINING CANDRABINDU
    0x311: [664,-507,0,-373,-92],      // COMBINING INVERTED BREVE
    0x312: [745,-502,0,-299,-160],     // COMBINING TURNED COMMA ABOVE
    0x313: [745,-502,0,-299,-160],     // COMBINING COMMA ABOVE
    0x314: [745,-502,0,-299,-160],     // COMBINING REVERSED COMMA ABOVE
    0x315: [745,-502,0,-85,54],        // COMBINING COMMA ABOVE RIGHT
    0x316: [-53,224,0,-351,-127],      // COMBINING GRAVE ACCENT BELOW
    0x317: [-53,224,0,-371,-147],      // COMBINING ACUTE ACCENT BELOW
    0x318: [-53,283,0,-397,-210],      // COMBINING LEFT TACK BELOW
    0x319: [-53,283,0,-267,-80],       // COMBINING RIGHT TACK BELOW
    0x31A: [735,-531,0,-380,-80],      // COMBINING LEFT ANGLE ABOVE
    0x31B: [474,-345,0,-44,51],        // COMBINING HORN
    0x31C: [-71,266,0,-360,-232],      // COMBINING LEFT HALF RING BELOW
    0x31D: [-53,240,0,-345,-115],      // COMBINING UP TACK BELOW
    0x31E: [-53,240,0,-345,-115],      // COMBINING DOWN TACK BELOW
    0x31F: [-53,250,0,-326,-134],      // COMBINING PLUS SIGN BELOW
    0x320: [-124,168,0,-326,-134],     // COMBINING MINUS SIGN BELOW
    0x321: [75,287,0,-235,1],          // COMBINING PALATALIZED HOOK BELOW
    0x322: [75,287,0,-54,182],         // COMBINING RETROFLEX HOOK BELOW
    0x323: [-118,217,0,-280,-181],     // COMBINING DOT BELOW
    0x324: [-119,218,0,-379,-81],      // COMBINING DIAERESIS BELOW
    0x325: [-69,268,0,-329,-130],      // COMBINING RING BELOW
    0x326: [-110,353,0,-299,-160],     // COMBINING COMMA BELOW
    0x327: [0,215,0,-334,-125],        // COMBINING CEDILLA
    0x328: [0,165,0,-322,-137],        // COMBINING OGONEK
    0x329: [-102,234,0,-250,-210],     // COMBINING VERTICAL LINE BELOW
    0x32A: [-98,235,0,-385,-73],       // COMBINING BRIDGE BELOW
    0x32B: [-110,227,0,-380,-75],      // COMBINING INVERTED DOUBLE ARCH BELOW
    0x32C: [-73,240,0,-385,-74],       // COMBINING CARON BELOW
    0x32D: [-73,240,0,-385,-74],       // COMBINING CIRCUMFLEX ACCENT BELOW
    0x32E: [-68,225,0,-370,-89],       // COMBINING BREVE BELOW
    0x32F: [-59,216,0,-370,-89],       // COMBINING INVERTED BREVE BELOW
    0x330: [-113,219,0,-395,-65],      // COMBINING TILDE BELOW
    0x331: [-141,195,0,-385,-74],      // COMBINING MACRON BELOW
    0x332: [-141,191,0,-480,20],       // COMBINING LOW LINE
    0x333: [-141,300,0,-480,20],       // COMBINING DOUBLE LOW LINE
    0x334: [320,-214,0,-401,-71],      // COMBINING TILDE OVERLAY
    0x335: [274,-230,0,-384,-78],      // COMBINING SHORT STROKE OVERLAY
    0x336: [274,-230,0,-480,20],       // COMBINING LONG STROKE OVERLAY
    0x337: [580,74,0,-380,-41],        // COMBINING SHORT SOLIDUS OVERLAY
    0x339: [-71,266,0,-280,-152],      // COMBINING RIGHT HALF RING BELOW
    0x33A: [-53,190,0,-385,-73],       // COMBINING INVERTED BRIDGE BELOW
    0x33B: [-53,227,0,-313,-147],      // COMBINING SQUARE BELOW
    0x33C: [-65,189,0,-380,-79],       // COMBINING SEAGULL BELOW
    0x33D: [715,-525,0,-326,-135],     // COMBINING X ABOVE
    0x33E: [829,-499,0,-283,-177],     // COMBINING VERTICAL TILDE
    0x33F: [928,-770,0,-480,20],       // COMBINING DOUBLE OVERLINE
    0x346: [681,-538,0,-350,-68],      // COMBINING BRIDGE ABOVE
    0x347: [-140,292,1,11,323],        // ??
    0x34C: [777,-532,0,-386,-56],      // COMBINING ALMOST EQUAL TO ABOVE
    0x359: [-65,367,0,-357,-87],       // COMBINING ASTERISK BELOW
    0x35C: [-76,233,0,-373,295],       // COMBINING DOUBLE BREVE BELOW
    0x360: [633,-517,0,-395,365],      // COMBINING DOUBLE TILDE
    0x361: [664,-507,0,-373,295],      // COMBINING DOUBLE INVERTED BREVE
    0x362: [-65,270,0,-395,355]        // COMBINING DOUBLE RIGHTWARDS ARROW BELOW
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/Regular/CombDiacritMarks.js");
