/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/Regular/Latin1Supplement.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral'],
  {
    0xA1: [468,218,330,96,202],        // INVERTED EXCLAMATION MARK
    0xA2: [579,138,500,53,448],        // CENT SIGN
    0xA3: [676,8,500,12,490],          // POUND SIGN
    0xA4: [534,10,500,-22,522],        // CURRENCY SIGN
    0xA5: [662,0,500,-53,512],         // YEN SIGN
    0xA6: [676,14,200,67,133],         // BROKEN BAR
    0xA7: [676,148,500,70,426],        // SECTION SIGN
    0xA9: [676,14,760,38,722],         // COPYRIGHT SIGN
    0xAA: [676,-394,276,4,270],        // FEMININE ORDINAL INDICATOR
    0xAB: [416,-33,500,42,456],        // LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
    0xAD: [257,-194,333,39,285],       // SOFT HYPHEN
    0xAE: [676,14,760,38,722],         // REGISTERED SIGN
    0xB0: [676,-390,400,57,343],       // DEGREE SIGN
    0xB2: [676,-270,300,1,296],        // SUPERSCRIPT TWO
    0xB3: [676,-262,300,13,291],       // SUPERSCRIPT THREE
    0xB4: [678,-507,333,93,317],       // ACUTE ACCENT
    0xB5: [450,218,500,36,512],        // MICRO SIGN
    0xB6: [662,154,592,60,532],        // PILCROW SIGN
    0xB8: [0,215,333,52,261],          // CEDILLA
    0xB9: [676,-270,300,57,248],       // SUPERSCRIPT ONE
    0xBA: [676,-394,310,6,304],        // MASCULINE ORDINAL INDICATOR
    0xBB: [416,-33,500,43,458],        // RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
    0xBC: [676,14,750,42,713],         // VULGAR FRACTION ONE QUARTER
    0xBD: [676,14,750,36,741],         // VULGAR FRACTION ONE HALF
    0xBE: [676,14,750,13,718],         // VULGAR FRACTION THREE QUARTERS
    0xBF: [467,218,444,30,376],        // INVERTED QUESTION MARK
    0xC0: [928,0,722,15,707],          // LATIN CAPITAL LETTER A WITH GRAVE
    0xC1: [928,0,722,15,707],          // LATIN CAPITAL LETTER A WITH ACUTE
    0xC2: [924,0,722,15,707],          // LATIN CAPITAL LETTER A WITH CIRCUMFLEX
    0xC3: [888,0,722,15,707],          // LATIN CAPITAL LETTER A WITH TILDE
    0xC4: [872,0,722,15,707],          // LATIN CAPITAL LETTER A WITH DIAERESIS
    0xC5: [961,0,722,15,707],          // LATIN CAPITAL LETTER A WITH RING ABOVE
    0xC6: [662,0,889,0,863],           // LATIN CAPITAL LETTER AE
    0xC7: [676,215,667,28,633],        // LATIN CAPITAL LETTER C WITH CEDILLA
    0xC8: [928,0,611,12,597],          // LATIN CAPITAL LETTER E WITH GRAVE
    0xC9: [928,0,611,12,597],          // LATIN CAPITAL LETTER E WITH ACUTE
    0xCA: [924,0,611,12,597],          // LATIN CAPITAL LETTER E WITH CIRCUMFLEX
    0xCB: [872,0,611,12,597],          // LATIN CAPITAL LETTER E WITH DIAERESIS
    0xCC: [928,0,333,18,315],          // LATIN CAPITAL LETTER I WITH GRAVE
    0xCD: [928,0,333,18,315],          // LATIN CAPITAL LETTER I WITH ACUTE
    0xCE: [924,0,333,10,321],          // LATIN CAPITAL LETTER I WITH CIRCUMFLEX
    0xCF: [872,0,333,17,315],          // LATIN CAPITAL LETTER I WITH DIAERESIS
    0xD0: [662,0,722,16,685],          // LATIN CAPITAL LETTER ETH
    0xD1: [888,11,722,12,707],         // LATIN CAPITAL LETTER N WITH TILDE
    0xD2: [928,14,722,34,688],         // LATIN CAPITAL LETTER O WITH GRAVE
    0xD3: [928,14,722,34,688],         // LATIN CAPITAL LETTER O WITH ACUTE
    0xD4: [924,14,722,34,688],         // LATIN CAPITAL LETTER O WITH CIRCUMFLEX
    0xD5: [888,14,722,34,688],         // LATIN CAPITAL LETTER O WITH TILDE
    0xD6: [872,14,722,34,688],         // LATIN CAPITAL LETTER O WITH DIAERESIS
    0xD8: [734,80,722,34,688],         // LATIN CAPITAL LETTER O WITH STROKE
    0xD9: [928,14,722,14,705],         // LATIN CAPITAL LETTER U WITH GRAVE
    0xDA: [928,14,722,14,705],         // LATIN CAPITAL LETTER U WITH ACUTE
    0xDB: [924,14,722,14,705],         // LATIN CAPITAL LETTER U WITH CIRCUMFLEX
    0xDC: [872,14,722,14,705],         // LATIN CAPITAL LETTER U WITH DIAERESIS
    0xDD: [928,0,722,22,703],          // LATIN CAPITAL LETTER Y WITH ACUTE
    0xDE: [662,0,556,16,542],          // LATIN CAPITAL LETTER THORN
    0xDF: [683,9,500,12,468],          // LATIN SMALL LETTER SHARP S
    0xE0: [678,10,444,37,442],         // LATIN SMALL LETTER A WITH GRAVE
    0xE1: [678,10,444,37,442],         // LATIN SMALL LETTER A WITH ACUTE
    0xE2: [674,10,444,37,442],         // LATIN SMALL LETTER A WITH CIRCUMFLEX
    0xE3: [638,10,444,37,442],         // LATIN SMALL LETTER A WITH TILDE
    0xE4: [622,10,444,37,442],         // LATIN SMALL LETTER A WITH DIAERESIS
    0xE5: [713,10,444,37,442],         // LATIN SMALL LETTER A WITH RING ABOVE
    0xE6: [460,7,667,38,632],          // LATIN SMALL LETTER AE
    0xE7: [460,215,444,25,412],        // LATIN SMALL LETTER C WITH CEDILLA
    0xE8: [678,10,444,25,424],         // LATIN SMALL LETTER E WITH GRAVE
    0xE9: [678,10,444,25,424],         // LATIN SMALL LETTER E WITH ACUTE
    0xEA: [674,10,444,25,424],         // LATIN SMALL LETTER E WITH CIRCUMFLEX
    0xEB: [622,10,444,25,424],         // LATIN SMALL LETTER E WITH DIAERESIS
    0xEC: [678,0,278,6,243],           // LATIN SMALL LETTER I WITH GRAVE
    0xED: [678,0,278,16,273],          // LATIN SMALL LETTER I WITH ACUTE
    0xEE: [674,0,278,-17,294],         // LATIN SMALL LETTER I WITH CIRCUMFLEX
    0xEF: [622,0,278,-10,288],         // LATIN SMALL LETTER I WITH DIAERESIS
    0xF0: [686,10,500,29,471],         // LATIN SMALL LETTER ETH
    0xF1: [638,0,500,16,485],          // LATIN SMALL LETTER N WITH TILDE
    0xF2: [678,10,500,29,470],         // LATIN SMALL LETTER O WITH GRAVE
    0xF3: [678,10,500,29,470],         // LATIN SMALL LETTER O WITH ACUTE
    0xF4: [674,10,500,29,470],         // LATIN SMALL LETTER O WITH CIRCUMFLEX
    0xF5: [638,10,500,29,470],         // LATIN SMALL LETTER O WITH TILDE
    0xF6: [622,10,500,29,470],         // LATIN SMALL LETTER O WITH DIAERESIS
    0xF8: [551,112,500,29,470],        // LATIN SMALL LETTER O WITH STROKE
    0xF9: [678,10,500,9,480],          // LATIN SMALL LETTER U WITH GRAVE
    0xFA: [678,10,500,9,480],          // LATIN SMALL LETTER U WITH ACUTE
    0xFB: [674,10,500,9,480],          // LATIN SMALL LETTER U WITH CIRCUMFLEX
    0xFC: [622,10,500,9,480],          // LATIN SMALL LETTER U WITH DIAERESIS
    0xFD: [678,218,500,14,475],        // LATIN SMALL LETTER Y WITH ACUTE
    0xFE: [683,217,500,5,470],         // LATIN SMALL LETTER THORN
    0xFF: [622,218,500,14,475]         // LATIN SMALL LETTER Y WITH DIAERESIS
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/Regular/Latin1Supplement.js");
