/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/General/Regular/Main.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXGeneral'] = {
  directory: 'General/Regular',
  family: 'STIXGeneral',
  Ranges: [
    [0xA0,0xFF,"Latin1Supplement"],
    [0x100,0x17F,"LatinExtendedA"],
    [0x180,0x24F,"LatinExtendedB"],
    [0x250,0x2AF,"IPAExtensions"],
    [0x2B0,0x2FF,"SpacingModLetters"],
    [0x300,0x36F,"CombDiacritMarks"],
    [0x370,0x3FF,"GreekAndCoptic"],
    [0x400,0x4FF,"Cyrillic"],
    [0x1D00,0x1DBF,"PhoneticExtensions"],
    [0x1E00,0x1EFF,"LatinExtendedAdditional"],
    [0x2000,0x206F,"GeneralPunctuation"],
    [0x2070,0x209F,"SuperAndSubscripts"],
    [0x20A0,0x20CF,"CurrencySymbols"],
    [0x20D0,0x20FF,"CombDiactForSymbols"],
    [0x2100,0x214F,"LetterlikeSymbols"],
    [0x2150,0x218F,"NumberForms"],
    [0x2190,0x21FF,"Arrows"],
    [0x2200,0x22FF,"MathOperators"],
    [0x2300,0x23FF,"MiscTechnical"],
    [0x2400,0x243F,"ControlPictures"],
    [0x2460,0x24FF,"EnclosedAlphanum"],
    [0x2500,0x257F,"BoxDrawing"],
    [0x2580,0x259F,"BlockElements"],
    [0x25A0,0x25FF,"GeometricShapes"],
    [0x2600,0x26FF,"MiscSymbols"],
    [0x2700,0x27BF,"Dingbats"],
    [0x27C0,0x27EF,"MiscMathSymbolsA"],
    [0x27F0,0x27FF,"SupplementalArrowsA"],
    [0x2900,0x297F,"SupplementalArrowsB"],
    [0x2980,0x29FF,"MiscMathSymbolsB"],
    [0x2A00,0x2AFF,"SuppMathOperators"],
    [0x2B00,0x2BFF,"MiscSymbolsAndArrows"],
    [0x3000,0x303F,"CJK"],
    [0x3040,0x309F,"Hiragana"],
    [0xA720,0xA7FF,"LatinExtendedD"],
    [0xFB00,0xFB4F,"AlphaPresentForms"],
    [0xFFF0,0xFFFF,"Specials"],
    [0x1D400,0x1D433,"MathBold"],
    [0x1D434,0x1D467,"MathItalic"],
    [0x1D468,0x1D49B,"MathBoldItalic"],
    [0x1D49C,0x1D4CF,"MathScript"],
    [0x1D4D0,0x1D503,"MathBoldScript"],
    [0x1D504,0x1D537,"Fraktur"],
    [0x1D538,0x1D56B,"BBBold"],
    [0x1D56C,0x1D59F,"BoldFraktur"],
    [0x1D5A0,0x1D5D3,"MathSS"],
    [0x1D5D4,0x1D607,"MathSSBold"],
    [0x1D608,0x1D63B,"MathSSItalic"],
    [0x1D63C,0x1D66F,"MathSSItalicBold"],
    [0x1D670,0x1D6A3,"MathTT"],
    [0x1D6A4,0x1D6A5,"ij"],
    [0x1D6A8,0x1D6E1,"GreekBold"],
    [0x1D6E2,0x1D71B,"GreekItalic"],
    [0x1D71C,0x1D755,"GreekBoldItalic"],
    [0x1D756,0x1D78F,"GreekSSBold"],
    [0x1D790,0x1D7C9,"GreekSSBoldItalic"],
    [0x1D7CE,0x1D7D7,"MathBold"],
    [0x1D7D8,0x1D7E1,"BBBold"],
    [0x1D7E2,0x1D7EB,"MathSS"],
    [0x1D7EC,0x1D7F6,"MathSSBold"],
    [0x1D7F6,0x1D7FF,"MathTT"]
  ],
  0x20: [0,0,250,0,0],               // SPACE
  0x21: [676,9,333,130,236],         // EXCLAMATION MARK
  0x22: [676,-431,408,77,331],       // QUOTATION MARK
  0x23: [662,0,500,6,495],           // NUMBER SIGN
  0x24: [727,87,500,44,458],         // DOLLAR SIGN
  0x25: [706,19,747,61,686],         // PERCENT SIGN
  0x26: [676,13,778,42,750],         // AMPERSAND
  0x27: [676,-431,180,48,133],       // APOSTROPHE
  0x28: [676,177,333,48,304],        // LEFT PARENTHESIS
  0x29: [676,177,333,29,285],        // RIGHT PARENTHESIS
  0x2A: [676,-265,500,68,433],       // ASTERISK
  0x2B: [547,41,685,48,636],         // PLUS SIGN
  0x2C: [102,141,250,55,195],        // COMMA
  0x2D: [257,-194,333,39,285],       // HYPHEN-MINUS
  0x2E: [100,11,250,70,181],         // FULL STOP
  0x2F: [676,14,278,-9,287],         // SOLIDUS
  0x30: [676,14,500,24,476],         // DIGIT ZERO
  0x31: [676,0,500,111,394],         // DIGIT ONE
  0x32: [676,0,500,29,474],          // DIGIT TWO
  0x33: [676,14,500,41,431],         // DIGIT THREE
  0x34: [676,0,500,12,473],          // DIGIT FOUR
  0x35: [688,14,500,31,438],         // DIGIT FIVE
  0x36: [684,14,500,34,468],         // DIGIT SIX
  0x37: [662,8,500,20,449],          // DIGIT SEVEN
  0x38: [676,14,500,56,445],         // DIGIT EIGHT
  0x39: [676,22,500,30,459],         // DIGIT NINE
  0x3A: [459,11,278,81,192],         // COLON
  0x3B: [459,141,278,80,219],        // SEMICOLON
  0x3C: [534,24,685,56,621],         // LESS-THAN SIGN
  0x3D: [386,-120,685,48,637],       // EQUALS SIGN
  0x3E: [534,24,685,56,621],         // GREATER-THAN SIGN
  0x3F: [676,8,444,68,414],          // QUESTION MARK
  0x40: [676,14,921,116,809],        // COMMERCIAL AT
  0x41: [674,0,722,15,707],          // LATIN CAPITAL LETTER A
  0x42: [662,0,667,17,593],          // LATIN CAPITAL LETTER B
  0x43: [676,14,667,28,633],         // LATIN CAPITAL LETTER C
  0x44: [662,0,722,16,685],          // LATIN CAPITAL LETTER D
  0x45: [662,0,611,12,597],          // LATIN CAPITAL LETTER E
  0x46: [662,0,556,11,546],          // LATIN CAPITAL LETTER F
  0x47: [676,14,722,32,709],         // LATIN CAPITAL LETTER G
  0x48: [662,0,722,18,703],          // LATIN CAPITAL LETTER H
  0x49: [662,0,333,18,315],          // LATIN CAPITAL LETTER I
  0x4A: [662,14,373,-6,354],         // LATIN CAPITAL LETTER J
  0x4B: [662,0,722,33,723],          // LATIN CAPITAL LETTER K
  0x4C: [662,0,611,12,598],          // LATIN CAPITAL LETTER L
  0x4D: [662,0,889,12,864],          // LATIN CAPITAL LETTER M
  0x4E: [662,11,722,12,707],         // LATIN CAPITAL LETTER N
  0x4F: [676,14,722,34,688],         // LATIN CAPITAL LETTER O
  0x50: [662,0,557,16,542],          // LATIN CAPITAL LETTER P
  0x51: [676,177,722,34,701],        // LATIN CAPITAL LETTER Q
  0x52: [662,0,667,17,660],          // LATIN CAPITAL LETTER R
  0x53: [676,14,556,43,491],         // LATIN CAPITAL LETTER S
  0x54: [662,0,611,17,593],          // LATIN CAPITAL LETTER T
  0x55: [662,14,722,14,705],         // LATIN CAPITAL LETTER U
  0x56: [662,11,722,16,697],         // LATIN CAPITAL LETTER V
  0x57: [662,11,944,5,932],          // LATIN CAPITAL LETTER W
  0x58: [662,0,722,10,704],          // LATIN CAPITAL LETTER X
  0x59: [662,0,722,22,703],          // LATIN CAPITAL LETTER Y
  0x5A: [662,0,612,10,598],          // LATIN CAPITAL LETTER Z
  0x5B: [662,156,333,88,299],        // LEFT SQUARE BRACKET
  0x5C: [676,14,278,-9,287],         // REVERSE SOLIDUS
  0x5D: [662,156,333,34,245],        // RIGHT SQUARE BRACKET
  0x5E: [662,-297,469,24,446],       // CIRCUMFLEX ACCENT
  0x5F: [-75,125,500,0,500],         // LOW LINE
  0x60: [678,-507,333,18,242],       // GRAVE ACCENT
  0x61: [460,10,444,37,442],         // LATIN SMALL LETTER A
  0x62: [683,10,500,3,468],          // LATIN SMALL LETTER B
  0x63: [460,10,444,25,412],         // LATIN SMALL LETTER C
  0x64: [683,10,500,27,491],         // LATIN SMALL LETTER D
  0x65: [460,10,444,25,424],         // LATIN SMALL LETTER E
  0x66: [683,0,333,20,383],          // LATIN SMALL LETTER F
  0x67: [460,218,500,28,470],        // LATIN SMALL LETTER G
  0x68: [683,0,500,9,487],           // LATIN SMALL LETTER H
  0x69: [683,0,278,16,253],          // LATIN SMALL LETTER I
  0x6A: [683,218,278,-70,194],       // LATIN SMALL LETTER J
  0x6B: [683,0,500,7,505],           // LATIN SMALL LETTER K
  0x6C: [683,0,278,19,257],          // LATIN SMALL LETTER L
  0x6D: [460,0,778,16,775],          // LATIN SMALL LETTER M
  0x6E: [460,0,500,16,485],          // LATIN SMALL LETTER N
  0x6F: [460,10,500,29,470],         // LATIN SMALL LETTER O
  0x70: [460,217,500,5,470],         // LATIN SMALL LETTER P
  0x71: [460,217,500,24,488],        // LATIN SMALL LETTER Q
  0x72: [460,0,333,5,335],           // LATIN SMALL LETTER R
  0x73: [459,10,389,51,348],         // LATIN SMALL LETTER S
  0x74: [579,10,278,13,279],         // LATIN SMALL LETTER T
  0x75: [450,10,500,9,480],          // LATIN SMALL LETTER U
  0x76: [450,14,500,19,477],         // LATIN SMALL LETTER V
  0x77: [450,14,722,21,694],         // LATIN SMALL LETTER W
  0x78: [450,0,500,17,479],          // LATIN SMALL LETTER X
  0x79: [450,218,500,14,475],        // LATIN SMALL LETTER Y
  0x7A: [450,0,444,27,418],          // LATIN SMALL LETTER Z
  0x7B: [680,181,480,100,350],       // LEFT CURLY BRACKET
  0x7C: [676,14,200,67,133],         // VERTICAL LINE
  0x7D: [680,181,480,130,380],       // RIGHT CURLY BRACKET
  0x7E: [325,-183,541,40,502],       // TILDE
  0xA0: [0,0,250,0,0],               // NO-BREAK SPACE
  0xA8: [622,-523,333,18,316],       // DIAERESIS
  0xAC: [393,-115,600,48,552],       // NOT SIGN
  0xAF: [601,-547,333,11,322],       // MACRON
  0xB1: [502,87,685,48,637],         // PLUS-MINUS SIGN
  0xB7: [310,-199,250,70,181],       // MIDDLE DOT
  0xD7: [529,25,640,43,597],         // MULTIPLICATION SIGN
  0xF7: [516,10,564,30,534],         // DIVISION SIGN
  0x131: [460,0,278,16,253],         // LATIN SMALL LETTER DOTLESS I
  0x237: [460,218,278,-70,193],      // LATIN SMALL LETTER DOTLESS J
  0x2C6: [674,-507,333,11,322],      // MODIFIER LETTER CIRCUMFLEX ACCENT
  0x2C7: [674,-507,333,11,322],      // CARON
  0x2C9: [601,-547,334,11,322],      // MODIFIER LETTER MACRON
  0x2CA: [679,-509,333,93,320],      // MODIFIER LETTER ACUTE ACCENT
  0x2CB: [679,-509,333,22,249],      // MODIFIER LETTER GRAVE ACCENT
  0x2D8: [664,-507,335,27,308],      // BREVE
  0x2D9: [622,-523,333,118,217],     // DOT ABOVE
  0x2DC: [638,-532,333,1,331],       // SMALL TILDE
  0x300: [678,-507,0,-371,-147],     // COMBINING GRAVE ACCENT
  0x301: [678,-507,0,-371,-147],     // COMBINING ACUTE ACCENT
  0x302: [674,-507,0,-386,-75],      // COMBINING CIRCUMFLEX ACCENT
  0x303: [638,-532,0,-395,-65],      // COMBINING TILDE
  0x304: [601,-547,0,-385,-74],      // COMBINING MACRON
  0x306: [664,-507,0,-373,-92],      // COMBINING BREVE
  0x307: [622,-523,0,-280,-181],     // COMBINING DOT ABOVE
  0x308: [622,-523,0,-379,-81],      // COMBINING DIAERESIS
  0x30A: [711,-512,0,-329,-130],     // COMBINING RING ABOVE
  0x30B: [678,-507,0,-401,-22],      // COMBINING DOUBLE ACUTE ACCENT
  0x30C: [674,-507,0,-385,-74],      // COMBINING CARON
  0x338: [662,156,0,-380,31],        // COMBINING LONG SOLIDUS OVERLAY
  0x393: [662,0,587,11,577],         // GREEK CAPITAL LETTER GAMMA
  0x394: [674,0,722,48,675],         // GREEK CAPITAL LETTER DELTA
  0x398: [676,14,722,34,688],        // GREEK CAPITAL LETTER THETA
  0x39B: [674,0,702,15,687],         // GREEK CAPITAL LETTER LAMDA
  0x39E: [662,0,643,29,614],         // GREEK CAPITAL LETTER XI
  0x3A0: [662,0,722,18,703],         // GREEK CAPITAL LETTER PI
  0x3A3: [662,0,624,30,600],         // GREEK CAPITAL LETTER SIGMA
  0x3A5: [674,0,722,29,703],         // GREEK CAPITAL LETTER UPSILON
  0x3A6: [662,0,763,35,728],         // GREEK CAPITAL LETTER PHI
  0x3A8: [690,0,746,22,724],         // GREEK CAPITAL LETTER PSI
  0x3A9: [676,0,744,29,715],         // GREEK CAPITAL LETTER OMEGA
  0x2020: [676,149,500,59,442],      // DAGGER
  0x2021: [676,153,500,58,442],      // DOUBLE DAGGER
  0x2026: [100,11,1000,111,888],     // HORIZONTAL ELLIPSIS
  0x2032: [678,-402,289,75,214],     // PRIME
  0x203E: [820,-770,500,0,500],      // OVERLINE
  0x20D7: [760,-548,0,-453,-17],     // COMBINING RIGHT ARROW ABOVE
  0x2111: [695,34,762,45,711],       // BLACK-LETTER CAPITAL I
  0x2118: [547,217,826,52,799],      // SCRIPT CAPITAL P
  0x211C: [704,22,874,50,829],       // BLACK-LETTER CAPITAL R
  0x2135: [677,13,682,43,634],       // ALEF SYMBOL
  0x2190: [449,-58,926,71,857],      // LEFTWARDS ARROW
  0x2191: [662,156,511,60,451],      // UPWARDS ARROW
  0x2192: [448,-57,926,70,856],      // RIGHTWARDS ARROW
  0x2193: [662,156,511,60,451],      // DOWNWARDS ARROW
  0x2194: [449,-57,926,38,888],      // LEFT RIGHT ARROW
  0x2195: [730,224,511,60,451],      // UP DOWN ARROW
  0x2196: [662,156,926,70,856],      // NORTH WEST ARROW
  0x2197: [662,156,926,70,856],      // NORTH EAST ARROW
  0x2198: [662,156,926,70,856],      // SOUTH EAST ARROW
  0x2199: [662,156,926,70,856],      // SOUTH WEST ARROW
  0x21A6: [450,-57,926,70,857],      // RIGHTWARDS ARROW FROM BAR
  0x21A9: [553,-57,926,70,856],      // LEFTWARDS ARROW WITH HOOK
  0x21AA: [553,-57,926,70,856],      // RIGHTWARDS ARROW WITH HOOK
  0x21BC: [494,-220,955,54,901],     // LEFTWARDS HARPOON WITH BARB UPWARDS
  0x21BD: [286,-12,955,54,901],      // LEFTWARDS HARPOON WITH BARB DOWNWARDS
  0x21C0: [494,-220,955,54,901],     // RIGHTWARDS HARPOON WITH BARB UPWARDS
  0x21C1: [286,-12,955,54,901],      // RIGHTWARDS HARPOON WITH BARB DOWNWARDS
  0x21CC: [539,33,926,70,856],       // RIGHTWARDS HARPOON OVER LEFTWARDS HARPOON
  0x21D0: [551,45,926,60,866],       // LEFTWARDS DOUBLE ARROW
  0x21D1: [662,156,685,45,641],      // UPWARDS DOUBLE ARROW
  0x21D2: [551,45,926,60,866],       // RIGHTWARDS DOUBLE ARROW
  0x21D3: [662,156,685,45,641],      // DOWNWARDS DOUBLE ARROW
  0x21D4: [517,10,926,20,906],       // LEFT RIGHT DOUBLE ARROW
  0x21D5: [730,224,685,45,641],      // UP DOWN DOUBLE ARROW
  0x2200: [662,0,560,2,558],         // FOR ALL
  0x2202: [668,11,471,40,471],       // PARTIAL DIFFERENTIAL
  0x2203: [662,0,560,73,487],        // THERE EXISTS
  0x2205: [583,79,762,50,712],       // EMPTY SET
  0x2207: [662,12,731,63,667],       // NABLA
  0x2208: [531,27,685,60,625],       // ELEMENT OF
  0x2209: [662,157,685,60,625],      // stix-negated (vert) set membership, variant
  0x220B: [531,27,685,60,625],       // CONTAINS AS MEMBER
  0x220F: [763,259,1000,52,948],     // N-ARY PRODUCT
  0x2210: [763,259,1000,52,948],     // N-ARY COPRODUCT
  0x2211: [763,259,914,58,856],      // N-ARY SUMMATION
  0x2212: [286,-220,685,64,621],     // MINUS SIGN
  0x2213: [502,87,685,48,637],       // MINUS-OR-PLUS SIGN
  0x2215: [710,222,523,46,478],      // DIVISION SLASH
  0x2216: [411,-93,428,25,403],      // SET MINUS
  0x2217: [471,-33,523,67,457],      // ASTERISK OPERATOR
  0x2218: [387,-117,350,40,310],     // RING OPERATOR
  0x2219: [387,-117,350,40,310],     // BULLET OPERATOR
  0x221A: [973,259,928,112,963],     // SQUARE ROOT
  0x221D: [430,0,685,41,643],        // PROPORTIONAL TO
  0x221E: [430,0,926,70,854],        // INFINITY
  0x2220: [547,0,685,23,643],        // ANGLE
  0x2223: [690,189,266,100,166],     // DIVIDES
  0x2225: [690,189,523,129,394],     // PARALLEL TO
  0x2227: [536,29,620,31,589],       // LOGICAL AND
  0x2228: [536,29,620,31,589],       // LOGICAL OR
  0x2229: [536,31,620,48,572],       // stix-intersection, serifs
  0x222A: [536,31,620,48,572],       // stix-union, serifs
  0x222B: [824,320,459,32,639],      // INTEGRAL
  0x223C: [362,-148,685,48,637],     // TILDE OPERATOR
  0x2240: [547,42,286,35,249],       // WREATH PRODUCT
  0x2243: [445,-55,685,48,637],      // ASYMPTOTICALLY EQUAL TO
  0x2245: [532,27,685,48,637],       // APPROXIMATELY EQUAL TO
  0x2248: [475,-25,685,48,637],      // ALMOST EQUAL TO
  0x224D: [498,-8,685,48,637],       // EQUIVALENT TO
  0x2250: [611,-120,685,48,637],     // APPROACHES THE LIMIT
  0x2260: [662,156,685,48,637],      // stix-not (vert) equals
  0x2261: [478,-28,685,48,637],      // IDENTICAL TO
  0x2264: [609,103,685,64,629],      // LESS-THAN OR EQUAL TO
  0x2265: [609,103,685,64,629],      // GREATER-THAN OR EQUAL TO
  0x226A: [532,26,933,25,908],       // MUCH LESS-THAN
  0x226B: [532,26,933,25,908],       // MUCH GREATER-THAN
  0x227A: [532,26,685,64,621],       // PRECEDES
  0x227B: [532,26,685,64,621],       // SUCCEEDS
  0x227C: [628,120,685,64,621],      // PRECEDES OR EQUAL TO
  0x227D: [629,119,685,64,621],      // SUCCEEDS OR EQUAL TO
  0x2282: [531,25,685,64,621],       // SUBSET OF
  0x2283: [531,25,685,64,621],       // SUPERSET OF
  0x2286: [607,103,685,64,621],      // SUBSET OF OR EQUAL TO
  0x2287: [607,103,685,64,621],      // SUPERSET OF OR EQUAL TO
  0x228E: [536,31,620,48,572],       // MULTISET UNION
  0x2291: [607,103,685,64,621],      // SQUARE IMAGE OF OR EQUAL TO
  0x2292: [607,103,685,64,621],      // SQUARE ORIGINAL OF OR EQUAL TO
  0x2293: [536,31,620,48,572],       // stix-square intersection, serifs
  0x2294: [536,31,620,48,572],       // stix-square union, serifs
  0x2295: [623,119,842,50,792],      // stix-circled plus (with rim)
  0x2296: [623,119,842,50,792],      // CIRCLED MINUS
  0x2297: [623,119,842,50,792],      // stix-circled times (with rim)
  0x2298: [623,119,842,50,792],      // CIRCLED DIVISION SLASH
  0x2299: [583,79,762,50,712],       // CIRCLED DOT OPERATOR
  0x22A2: [662,0,685,64,621],        // RIGHT TACK
  0x22A3: [662,0,685,64,621],        // LEFT TACK
  0x22A4: [662,0,685,48,637],        // DOWN TACK
  0x22A5: [662,0,685,48,637],        // UP TACK
  0x22A8: [662,0,685,64,621],        // TRUE
  0x22C0: [763,259,924,54,870],      // N-ARY LOGICAL AND
  0x22C1: [763,259,924,54,870],      // N-ARY LOGICAL OR
  0x22C2: [778,254,924,94,830],      // N-ARY INTERSECTION
  0x22C3: [768,264,924,94,830],      // N-ARY UNION
  0x22C4: [488,-16,523,26,497],      // DIAMOND OPERATOR
  0x22C5: [313,-193,286,83,203],     // DOT OPERATOR
  0x22C6: [597,13,700,35,665],       // STAR OPERATOR
  0x22C8: [582,80,810,54,756],       // BOWTIE
  0x22EE: [606,104,511,192,319],     // VERTICAL ELLIPSIS
  0x22EF: [316,-189,926,108,818],    // MIDLINE HORIZONTAL ELLIPSIS
  0x22F1: [520,18,926,194,732],      // DOWN RIGHT DIAGONAL ELLIPSIS
  0x2308: [713,213,469,188,447],     // LEFT CEILING
  0x2309: [713,213,469,27,286],      // RIGHT CEILING
  0x230A: [713,213,469,188,447],     // LEFT FLOOR
  0x230B: [713,213,469,27,286],      // RIGHT FLOOR
  0x2322: [360,-147,1019,54,965],    // stix-small down curve
  0x2323: [360,-147,1019,54,965],    // stix-small up curve
  0x23AF: [286,-220,315,0,315],      // HORIZONTAL LINE EXTENSION
  0x23D0: [405,-101,511,222,288],    // VERTICAL LINE EXTENSION (used to extend arrows)
  0x25B3: [811,127,1145,35,1110],    // WHITE UP-POINTING TRIANGLE
  0x25B9: [555,50,660,80,605],       // WHITE RIGHT-POINTING SMALL TRIANGLE
  0x25BD: [811,127,1145,35,1110],    // WHITE DOWN-POINTING TRIANGLE
  0x25C3: [554,51,660,55,580],       // WHITE LEFT-POINTING SMALL TRIANGLE
  0x25EF: [785,282,1207,70,1137],    // LARGE CIRCLE
  0x2660: [609,99,685,34,651],       // BLACK SPADE SUIT
  0x2661: [603,105,685,34,651],      // WHITE HEART SUIT
  0x2662: [609,105,685,41,643],      // WHITE DIAMOND SUIT
  0x2663: [603,99,685,34,651],       // BLACK CLUB SUIT
  0x266D: [768,10,426,57,346],       // MUSIC FLAT SIGN
  0x266E: [768,181,426,75,350],      // MUSIC NATURAL SIGN
  0x266F: [768,181,426,41,386],      // MUSIC SHARP SIGN
  0x27E8: [713,213,400,77,335],      // MATHEMATICAL LEFT ANGLE BRACKET
  0x27E9: [713,213,400,65,323],      // MATHEMATICAL RIGHT ANGLE BRACKET
  0x27EE: [676,177,233,56,211],      // MATHEMATICAL LEFT FLATTENED PARENTHESIS
  0x27EF: [676,177,233,22,177],      // MATHEMATICAL RIGHT FLATTENED PARENTHESIS
  0x27F5: [449,-58,1574,55,1519],    // LONG LEFTWARDS ARROW
  0x27F6: [449,-57,1574,55,1519],    // LONG RIGHTWARDS ARROW
  0x27F7: [449,-57,1574,55,1519],    // LONG LEFT RIGHT ARROW
  0x27F8: [551,45,1574,55,1519],     // LONG LEFTWARDS DOUBLE ARROW
  0x27F9: [551,45,1574,55,1519],     // LONG RIGHTWARDS DOUBLE ARROW
  0x27FA: [517,10,1574,55,1519],     // LONG LEFT RIGHT DOUBLE ARROW
  0x27FB: [450,-57,1574,55,1519],    // LONG LEFTWARDS ARROW FROM BAR
  0x27FC: [450,-57,1574,55,1519],    // LONG RIGHTWARDS ARROW FROM BAR
  0x29F5: [710,222,523,46,478],      // REVERSE SOLIDUS OPERATOR
  0x2A00: [763,259,1126,53,1073],    // N-ARY CIRCLED DOT OPERATOR
  0x2A01: [763,259,1126,53,1073],    // N-ARY CIRCLED PLUS OPERATOR
  0x2A02: [763,259,1126,53,1073],    // N-ARY CIRCLED TIMES OPERATOR
  0x2A03: [768,264,924,94,830],      // N-ARY UNION OPERATOR WITH DOT
  0x2A04: [768,264,924,94,830],      // N-ARY UNION OPERATOR WITH PLUS
  0x2A05: [763,259,924,94,830],      // N-ARY SQUARE INTERSECTION OPERATOR
  0x2A06: [763,259,924,94,830],      // N-ARY SQUARE UNION OPERATOR
  0x2A3F: [662,0,694,30,664],        // AMALGAMATION OR COPRODUCT
  0x2AAF: [609,103,685,64,621],      // PRECEDES ABOVE SINGLE-LINE EQUALS SIGN
  0x2AB0: [609,103,685,64,621]       // SUCCEEDS ABOVE SINGLE-LINE EQUALS SIGN
};

MathJax.OutputJax["HTML-CSS"].initFont("STIXGeneral");

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/General/Regular/Main.js");
