/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/SizeOneSym/Regular/All.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXSizeOneSym'],
  {
    0x2C6: [767,-554,560,0,560],       // MODIFIER LETTER CIRCUMFLEX ACCENT
    0x2C7: [767,-554,560,0,560],       // CARON
    0x2DC: [750,-598,558,-2,558],      // SMALL TILDE
    0x2F7: [-117,269,558,-2,558],      // ??
    0x305: [820,-770,0,-1000,0],       // COMBINING OVERLINE
    0x30C: [767,-554,0,-720,-160],     // COMBINING CARON
    0x330: [-117,269,0,-722,-162],     // COMBINING TILDE BELOW
    0x332: [-127,177,0,-1000,0],       // COMBINING LOW LINE
    0x338: [532,21,0,-720,-157],       // COMBINING LONG SOLIDUS OVERLAY
    0x203E: [820,-770,1000,0,1000],    // OVERLINE
    0x20D0: [749,-584,0,-892,-21],     // COMBINING LEFT HARPOON ABOVE
    0x20D1: [749,-584,0,-893,-22],     // COMBINING RIGHT HARPOON ABOVE
    0x20D6: [735,-482,0,-893,-21],     // COMBINING LEFT ARROW ABOVE
    0x20D7: [736,-482,0,-893,-21],     // COMBINING RIGHT ARROW ABOVE
    0x20EC: [-123,288,0,-893,-22],     // COMBINING RIGHTWARDS HARPOON WITH BARB DOWNWARDS
    0x20ED: [-123,288,0,-892,-21],     // COMBINING LEFTWARDS HARPOON WITH BARB DOWNWARDS
    0x20EE: [-26,279,0,-893,-21],      // COMBINING LEFT ARROW BELOW
    0x20EF: [-25,279,0,-893,-21],      // COMBINING RIGHT ARROW BELOW
    0x2140: [1500,-50,1259,55,1204],   // DOUBLE-STRUCK N-ARY SUMMATION
    0x221B: [1552,295,1057,112,1089],  // CUBE ROOT
    0x221C: [1552,295,1057,112,1089],  // FOURTH ROOT
    0x2320: [1066,79,688,294,574],     // TOP HALF INTEGRAL
    0x2321: [1086,59,688,115,394],     // BOTTOM HALF INTEGRAL
    0x23B2: [1500,5,1482,92,1292],     // SUMMATION TOP
    0x23B3: [1500,5,1482,92,1366],     // SUMMATION BOTTOM
    0x23B4: [766,-544,1063,69,994],    // TOP SQUARE BRACKET
    0x23B5: [139,83,1063,68,993],      // BOTTOM SQUARE BRACKET
    0x23DC: [60,153,926,0,926],        // TOP PARENTHESIS (mathematical use)
    0x23DD: [777,-564,926,0,926],      // BOTTOM PARENTHESIS (mathematical use)
    0x23E0: [66,212,1460,0,1460],      // TOP TORTOISE SHELL BRACKET (mathematical use)
    0x23E1: [842,-564,1460,0,1460],    // BOTTOM TORTOISE SHELL BRACKET (mathematical use)
    0x2772: [1066,164,566,205,539],    // LIGHT LEFT TORTOISE SHELL BRACKET ORNAMENT
    0x2773: [1066,164,566,27,361],     // LIGHT RIGHT TORTOISE SHELL BRACKET ORNAMENT
    0x27E6: [1066,164,515,180,486],    // MATHEMATICAL LEFT WHITE SQUARE BRACKET
    0x27E7: [1066,164,515,29,335],     // MATHEMATICAL RIGHT WHITE SQUARE BRACKET
    0x27EA: [1066,164,798,116,670],    // MATHEMATICAL LEFT DOUBLE ANGLE BRACKET
    0x27EB: [1066,164,798,128,682],    // MATHEMATICAL RIGHT DOUBLE ANGLE BRACKET
    0x2983: [1066,164,712,114,587],    // LEFT WHITE CURLY BRACKET
    0x2984: [1066,164,712,114,587],    // RIGHT WHITE CURLY BRACKET
    0x2985: [1066,164,632,135,546],    // LEFT WHITE PARENTHESIS
    0x2986: [1066,164,632,86,497],     // RIGHT WHITE PARENTHESIS
    0x29F8: [1566,279,806,25,781],     // BIG SOLIDUS
    0x29F9: [1566,279,806,25,781],     // BIG REVERSE SOLIDUS
    0x2A03: [1500,-39,1265,118,1147],  // N-ARY UNION OPERATOR WITH DOT
    0x2A07: [1500,-49,1530,60,1470],   // TWO LOGICAL AND OPERATOR
    0x2A08: [1500,-49,1530,60,1470],   // TWO LOGICAL OR OPERATOR
    0x2A09: [1500,-49,1482,60,1422],   // N-ARY TIMES OPERATOR
    0x2A0A: [1500,-50,1292,90,1202],   // MODULO TWO SUM
    0x2AFC: [867,363,690,133,557],     // LARGE TRIPLE VERTICAL BAR OPERATOR
    0x2AFF: [867,363,410,100,310]      // N-ARY WHITE VERTICAL BAR
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/SizeOneSym/Regular/All.js");
