/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/SizeOneSym/Regular/Main.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXSizeOneSym'] = {
  directory: 'SizeOneSym/Regular',
  family: 'STIXSizeOneSym',
  Ranges: [
    [0x2B0,0x2FF,"All"],
    [0x300,0x338,"All"],
    [0x203E,0x203E,"All"],
    [0x20D0,0x20EF,"All"],
    [0x2140,0x2140,"All"],
    [0x221A,0x221C,"All"],
    [0x2320,0x2321,"All"],
    [0x239B,0x23B9,"All"],
    [0x23DC,0x23E1,"All"],
    [0x2772,0x2773,"All"],
    [0x27E6,0x27EB,"All"],
    [0x2983,0x2986,"All"],
    [0x29F8,0x29F9,"All"],
    [0x2A00,0x2A0A,"All"],
    [0x2AFC,0x2AFF,"All"]
  ],
  0x20: [0,0,250,0,0],               // SPACE
  0x28: [1066,164,468,139,382],      // LEFT PARENTHESIS
  0x29: [1066,164,468,86,329],       // RIGHT PARENTHESIS
  0x2F: [1066,164,579,25,552],       // SOLIDUS
  0x5B: [1066,164,383,180,363],      // LEFT SQUARE BRACKET
  0x5C: [1066,164,579,27,552],       // REVERSE SOLIDUS
  0x5D: [1066,164,383,20,203],       // RIGHT SQUARE BRACKET
  0x5F: [-127,177,1000,0,1000],      // LOW LINE
  0x7B: [1066,164,575,114,466],      // LEFT CURLY BRACKET
  0x7D: [1066,164,575,109,461],      // RIGHT CURLY BRACKET
  0xA0: [0,0,250,0,0],               // NO-BREAK SPACE
  0x302: [767,-554,0,-720,-160],     // COMBINING CIRCUMFLEX ACCENT
  0x303: [750,-598,0,-722,-162],     // COMBINING TILDE
  0x220F: [1500,-49,1355,50,1305],   // N-ARY PRODUCT
  0x2210: [1500,-49,1355,50,1305],   // N-ARY COPRODUCT
  0x2211: [1499,-49,1292,90,1202],   // N-ARY SUMMATION
  0x221A: [1552,295,1057,112,1089],  // SQUARE ROOT
  0x22C0: [1500,-49,1265,60,1205],   // N-ARY LOGICAL AND
  0x22C1: [1500,-49,1265,60,1205],   // N-ARY LOGICAL OR
  0x22C2: [1510,-49,1265,118,1147],  // N-ARY INTERSECTION
  0x22C3: [1500,-39,1265,118,1147],  // N-ARY UNION
  0x2308: [1066,164,453,180,426],    // LEFT CEILING
  0x2309: [1066,164,453,25,273],     // RIGHT CEILING
  0x230A: [1066,164,453,180,428],    // LEFT FLOOR
  0x230B: [1066,164,453,27,273],     // RIGHT FLOOR
  0x239B: [700,305,450,50,400],      // LEFT PARENTHESIS UPPER HOOK
  0x239C: [705,305,450,50,174],      // LEFT PARENTHESIS EXTENSION
  0x239D: [705,300,450,50,400],      // LEFT PARENTHESIS LOWER HOOK
  0x239E: [700,305,450,50,400],      // RIGHT PARENTHESIS UPPER HOOK
  0x239F: [705,305,450,276,400],     // RIGHT PARENTHESIS EXTENSION
  0x23A0: [705,300,450,50,400],      // RIGHT PARENTHESIS LOWER HOOK
  0x23A1: [682,323,450,50,415],      // LEFT SQUARE BRACKET UPPER CORNER
  0x23A2: [687,323,450,50,150],      // LEFT SQUARE BRACKET EXTENSION
  0x23A3: [687,318,450,50,415],      // LEFT SQUARE BRACKET LOWER CORNER
  0x23A4: [682,323,450,35,400],      // RIGHT SQUARE BRACKET UPPER CORNER
  0x23A5: [687,323,450,300,400],     // RIGHT SQUARE BRACKET EXTENSION
  0x23A6: [687,318,450,35,400],      // RIGHT SQUARE BRACKET LOWER CORNER
  0x23A7: [700,305,640,260,600],     // LEFT CURLY BRACKET UPPER HOOK
  0x23A8: [705,305,640,40,380],      // LEFT CURLY BRACKET MIDDLE PIECE
  0x23A9: [705,300,640,260,600],     // LEFT CURLY BRACKET LOWER HOOK
  0x23AA: [705,305,640,260,380],     // CURLY BRACKET EXTENSION
  0x23AB: [700,305,640,40,380],      // RIGHT CURLY BRACKET UPPER HOOK
  0x23AC: [705,305,640,260,600],     // RIGHT CURLY BRACKET MIDDLE PIECE
  0x23AD: [705,300,640,40,380],      // RIGHT CURLY BRACKET LOWER HOOK
  0x23AE: [610,25,688,294,394],      // INTEGRAL EXTENSION
  0x23B0: [700,301,600,35,566],      // UPPER LEFT OR LOWER RIGHT CURLY BRACKET SECTION
  0x23B1: [700,301,600,35,566],      // UPPER RIGHT OR LOWER LEFT CURLY BRACKET SECTION
  0x23B7: [1510,345,1184,112,895],   // RADICAL SYMBOL BOTTOM
  0x23B8: [1566,289,721,0,66],       // LEFT VERTICAL BOX LINE
  0x23B9: [1566,289,721,655,721],    // RIGHT VERTICAL BOX LINE
  0x23DE: [136,89,926,0,925],        // TOP CURLY BRACKET (mathematical use)
  0x23DF: [789,-564,926,0,925],      // BOTTOM CURLY BRACKET (mathematical use)
  0x27E8: [1066,164,578,116,462],    // MATHEMATICAL LEFT ANGLE BRACKET
  0x27E9: [1066,164,578,116,462],    // MATHEMATICAL RIGHT ANGLE BRACKET
  0x2A00: [1500,-49,1555,52,1503],   // N-ARY CIRCLED DOT OPERATOR
  0x2A01: [1500,-49,1555,52,1503],   // N-ARY CIRCLED PLUS OPERATOR
  0x2A02: [1500,-49,1555,52,1503],   // N-ARY CIRCLED TIMES OPERATOR
  0x2A04: [1500,-39,1265,118,1147],  // N-ARY UNION OPERATOR WITH PLUS
  0x2A05: [1500,-49,1153,82,1071],   // N-ARY SQUARE INTERSECTION OPERATOR
  0x2A06: [1500,-49,1153,82,1071]    // N-ARY SQUARE UNION OPERATOR
};

MathJax.OutputJax["HTML-CSS"].initFont("STIXSizeOneSym");

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/SizeOneSym/Regular/Main.js");
