/*************************************************************
 *
 *  MathJax/jax/output/HTML-CSS/fonts/STIX/Variants/Regular/All.js
 *
 *  Copyright (c) 2009-2010 Design Science, Inc.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Hub.Insert(
  MathJax.OutputJax['HTML-CSS'].FONTDATA.FONTS['STIXVariants'],
  {
    0x20: [0,0,250,0,0],               // SPACE
    0x77: [80,244,515,22,493],         // LATIN SMALL LETTER W
    0x7C: [690,189,320,127,193],       // VERTICAL LINE
    0xA0: [0,0,250,0,0],               // NO-BREAK SPACE
    0x19B: [668,0,520,55,516],         // LATIN SMALL LETTER LAMBDA WITH STROKE
    0x264: [450,10,460,18,441],        // ??
    0x2033: [565,-28,605,43,561],      // DOUBLE PRIME
    0x2034: [565,-28,873,43,829],      // TRIPLE PRIME
    0x2035: [565,-28,340,45,296],      // REVERSED PRIME
    0x2036: [565,-28,605,44,561],      // REVERSED DOUBLE PRIME
    0x2037: [565,-28,873,43,829],      // REVERSED TRIPLE PRIME
    0x2057: [565,-28,1139,43,1096],    // QUADRUPLE PRIME
    0x2140: [662,0,718,50,668],        // DOUBLE-STRUCK N-ARY SUMMATION
    0x2190: [449,-57,415,55,415],      // LEFTWARDS ARROW
    0x2191: [600,15,598,82,518],       // UPWARDS ARROW
    0x2192: [449,-57,415,0,360],       // RIGHTWARDS ARROW
    0x2193: [600,15,598,80,516],       // DOWNWARDS ARROW
    0x21D1: [600,15,794,63,729],       // UPWARDS DOUBLE ARROW
    0x21D3: [600,15,794,65,731],       // DOWNWARDS DOUBLE ARROW
    0x21E0: [449,-58,463,70,393],      // LEFTWARDS DASHED ARROW
    0x21E2: [449,-58,463,70,393],      // RIGHTWARDS DASHED ARROW
    0x2208: [516,13,402,64,338],       // ELEMENT OF
    0x2209: [662,156,685,60,625],      // stix-negated (vert) set membership, variant
    0x220B: [516,13,402,64,338],       // CONTAINS AS MEMBER
    0x220C: [662,156,685,60,625],      // stix-negated (vert) contains
    0x220F: [662,0,694,30,664],        // N-ARY PRODUCT
    0x2210: [662,0,694,30,664],        // N-ARY COPRODUCT
    0x2211: [662,0,694,38,656],        // N-ARY SUMMATION
    0x221B: [946,-55,737,72,767],      // CUBE ROOT
    0x221C: [943,-55,737,72,767],      // FOURTH ROOT
    0x221D: [428,0,685,41,646],        // PROPORTIONAL TO
    0x2223: [451,19,266,100,166],      // DIVIDES
    0x2224: [451,19,404,23,381],       // DOES NOT DIVIDE
    0x2225: [451,11,446,90,356],       // PARALLEL TO
    0x2226: [451,19,609,23,586],       // NOT PARALLEL TO
    0x2229: [602,31,620,10,610],       // stix-intersection, serifs
    0x222A: [602,31,620,10,610],       // stix-union, serifs
    0x223C: [362,-148,685,48,637],     // TILDE OPERATOR
    0x223E: [344,-130,1086,55,1031],   // stix-most positive
    0x223F: [461,-43,520,0,586],       // stix-reverse sine wave
    0x2241: [462,-48,685,48,637],      // stix-not, vert, similar
    0x2244: [529,35,685,48,637],       // stix-not (vert) similar or equal
    0x2247: [606,117,685,48,637],      // stix-not (vert) similar over two-line equals
    0x2248: [475,-25,685,48,637],      // ALMOST EQUAL TO
    0x2249: [549,49,685,48,637],       // stix-not, vert, approximate
    0x224C: [586,82,685,48,637],       // stix-all equal to (lazy S over equals) (formerly 224C; that shape changed)
    0x2260: [662,156,685,48,637],      // stix-not (vert) equals
    0x2262: [662,156,685,48,637],      // stix-not (vert) three-line equals
    0x2268: [718,275,685,56,621],      // stix-less, vert, not double equals
    0x2269: [718,275,685,56,621],      // stix-gt, vert, not double equals
    0x226D: [572,66,685,48,637],       // stix-not (vert) asymptotically equal to
    0x226E: [662,156,685,47,612],      // stix-not, vert, less-than
    0x226F: [662,156,685,73,638],      // stix-not, vert, greater-than
    0x2270: [695,189,685,56,621],      // stix-not, vert, less-than-or-equal
    0x2271: [695,189,685,64,629],      // stix-not, vert, greater-than-or-equal
    0x2272: [673,103,685,10,632],      // stix-less-than or (contour) similar
    0x2273: [673,144,685,58,624],      // stix-greater-than or (contour) similar
    0x2274: [730,227,685,48,637],      // stix-not, vert, less, similar
    0x2275: [730,227,685,48,650],      // stix-not, vert, greater, similar
    0x2278: [818,311,685,56,621],      // stix-not, vert, less, greater
    0x2279: [818,311,685,55,620],      // stix-not, vert, greater, less
    0x2280: [662,156,685,64,621],      // DOES NOT PRECEDE
    0x2281: [662,156,685,64,621],      // stix-not (vert) succeeds
    0x2284: [662,156,685,55,620],      // stix-not subset [vertical negation]
    0x2285: [662,156,685,65,630],      // stix-not superset [vertical negation]
    0x2288: [707,203,695,65,630],      // stix-/nsubseteq N: not (vert) subset, equals
    0x2289: [707,203,695,65,630],      // stix-/nsupseteq N: not (vert) superset, equals
    0x228A: [607,229,685,51,616],      // stix-subset, not equals, variant
    0x228B: [607,229,685,69,634],      // stix-superset, not equals, variant
    0x2293: [536,31,620,10,610],       // stix-square intersection, serifs
    0x2294: [536,31,620,10,610],       // stix-square union, serifs
    0x2295: [623,119,842,50,792],      // stix-circled plus (with rim)
    0x2297: [623,119,842,50,792],      // stix-circled times (with rim)
    0x229C: [623,119,842,50,792],      // stix-two horizontal bars in circle
    0x22DA: [768,262,685,60,625],      // stix-less, equal, slanted, greater
    0x22DB: [768,262,685,60,625],      // stix-greater, equal, slanted, less
    0x22E0: [803,212,685,60,625],      // stix-not (vert) precedes or contour equals
    0x22E1: [803,212,685,60,625],      // stix-not (vert) succeeds or contour equals
    0x22EC: [695,189,685,54,611],      // stix-not, vert, left triangle, equals
    0x22ED: [695,189,685,74,631],      // stix-not, vert, right triangle, equals
    0x2322: [386,-120,685,48,637],     // stix-small down curve
    0x2323: [386,-120,685,48,637],     // stix-small up curve
    0x2423: [22,119,500,48,453],       // stix-round space indicator
    0x25A9: [662,158,910,45,865],      // SQUARE WITH DIAGONAL CROSSHATCH FILL
    0x2A3C: [633,129,463,51,411],      // stix-vert, low bar to left from base
    0x2A3D: [633,129,463,51,411],      // stix-vert, low bar to right from base
    0x2A9D: [647,166,685,49,627],      // stix-similar (conforming) or less-than
    0x2A9E: [615,166,685,54,676],      // SIMILAR OR GREATER-THAN
    0x2AAC: [625,137,685,60,625],      // stix-smaller than or equal, slanted
    0x2AAD: [625,137,685,60,625],      // stix-larger than or equal, slanted
    0x2ACB: [718,321,685,64,629],      // stix-subset not double equals, variant
    0x2ACC: [718,321,685,74,639],      // SUPERSET OF ABOVE NOT EQUAL TO
    0x2AEE: [451,19,404,23,381]        // stix-short mid negated by backslash
  }
);

MathJax.Ajax.loadComplete(MathJax.OutputJax["HTML-CSS"].fontDir + "/Variants/Regular/All.js");
